2022-10-22 Christoph Grüninger

	* This file is discontinued. Entries for 3.0.2 and 3.0.3 are already missing.
	  Use the Git log and the NEWS file for updates and a change log.

2014-07-17    <claus@anaxagoras.wireless.localnet>

	* Release version 3.0.1

2014-05-07 16:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* NEWS: Update for 3.0.1

2014-05-07 16:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* README: Warn about out-of-date build examples.

2014-05-07 15:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump version to 3.0.1

2014-05-07 15:47  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am.include: Include optional source
	  file in EXTRA_DIST, otherwise "make dist" will only work corectly
	  when all features are enabled.

2014-05-07 15:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta-utilities.pc.in: Replace a - by a _

2014-04-11 08:32  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h, alberta/src/Common/macro.c: Add
	  some debugging code.

2014-04-11 08:32  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/COPYING: Somehow this still was the stone-age COPYING notice
	  from the year ... what year?

2014-04-11 08:31  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/alberta-man.tex: Update addresses.

2014-04-11 08:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* COPYING: Update time-stamp.

2014-03-13 16:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* README-for-DUNE: Add an explanation.

2014-03-13 16:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Unused variable warning.

2014-03-13 18:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Release version 3.0.0

2014-03-13 14:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: There is always another pre-final commit ...

2014-03-13 14:36  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ChangeLog: There is always another pre-final commit ...

2014-03-13 14:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Also disable all graphics stuff in case X should
	  not be found.

2014-03-13 13:36  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/tests/graphics.c,
	  add_ons/reparam_cm/src/Common/graphics.c,
	  alberta/src/Common/Makefile.alberta.in, alberta/tests/graphics.c,
	  demo/src/Common/graphics.c: Last-minute fix: cope with the case
	  that libGL is not there but graphics is requested by the user.

2014-03-13 11:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ChangeLog: Stamp this one as v3.0.0.

2014-03-13 11:43  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* NEWS, configure.ac: Finally tag it 3.0.0 and let it go.

2014-03-13 11:40  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* README: Just undo a R/O test for public svn repo.

2014-03-09 07:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* AUTHORS, NEWS, README, README-for-DUNE, configure.ac: Prepare for
	  the actual release of alberta v3.0.0

2014-03-09 07:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ChangeLog: Just an automated update by svn2cl

2014-03-09 07:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ChangeLog: Just an automated update by svn2cl

2014-03-05 17:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/submesh.c: Eliminate an unused variable
	  warning.

2014-03-05 17:07  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h: Implement Nd matrix
	  inversion by Gauss elimination (with pivot strategy).

2014-03-05 17:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h: Typo.

2014-03-05 16:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to rc12. We really should release the beast
	  now.

2014-03-05 16:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/SSOR_precon.c,
	  alberta/src/Common/alberta_inlines.h, alberta/src/Common/sor.c,
	  alberta/src/Common/ssor.c: Fix an unfamous block-matrix SOR/SSOR
	  bug reported by Robert Nuernberg.

2014-03-05 17:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/submesh.c: Eliminate an unused variable
	  warning.

2014-03-05 17:07  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h: Implement Nd matrix
	  inversion by Gauss elimination (with pivot strategy).

2014-03-05 17:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h: Typo.

2014-03-05 16:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to rc12. We really should release the beast
	  now.

2014-03-05 16:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/SSOR_precon.c,
	  alberta/src/Common/alberta_inlines.h, alberta/src/Common/sor.c,
	  alberta/src/Common/ssor.c: Fix an unfamous block-matrix SOR/SSOR
	  bug reported by Robert Nuernberg.

2014-03-05 17:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/submesh.c: Eliminate an unused variable
	  warning.

2014-03-05 17:07  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h: Implement Nd matrix
	  inversion by Gauss elimination (with pivot strategy).gg

2014-03-05 17:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h: Typo.

2014-03-05 16:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to rc12. We really should release the beast
	  now.

2014-03-05 16:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/SSOR_precon.c,
	  alberta/src/Common/alberta_inlines.h, alberta/src/Common/sor.c,
	  alberta/src/Common/ssor.c: Fix an unfamous block-matrix SOR/SSOR
	  bug reported by Robert Nuernberg.

2014-03-05 17:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/submesh.c: Eliminate an unused variable
	  warning.

2014-03-05 17:07  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h: Implement Nd matrix
	  inversion by Gauss elimination (with pivot strategy).

2014-03-05 17:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h: Typo.

2014-03-05 16:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to rc12. We really should release the beast
	  now.

2014-03-05 16:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/SSOR_precon.c,
	  alberta/src/Common/alberta_inlines.h, alberta/src/Common/sor.c,
	  alberta/src/Common/ssor.c: Fix an unfamous block-matrix SOR/SSOR
	  bug reported by Robert Nuernberg.

2014-02-23 22:31  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Fix typo reported ages ago by
	  Robtert Nuernberg.

2014-02-23 13:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/sor.c: Ever since the block-matrix variant was
	  broken in the respect that the old iterate was divided by the
	  matrix diagonal again (instead of only computing the weighted
	  average of old and new iterate. Bug reported by Robert Nuernberg.

2014-02-23 22:31  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Fix typo reported ages ago by
	  Robtert Nuernberg.

2014-02-23 13:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/sor.c: Ever since the block-matrix variant was
	  broken in the respect that the old iterate was divided by the
	  matrix diagonal again (instead of only computing the weighted
	  average of old and new iterate. Bug reported by Robert Nuernberg.

2014-02-23 22:31  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Fix typo reported ages ago by
	  Robtert Nuernberg.

2014-02-23 13:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/sor.c: Ever since the block-matrix variant was
	  broken in the respect that the old iterate was divided by the
	  matrix diagonal again (instead of only computing the weighted
	  average of old and new iterate. Bug reported by Robert Nuernberg.

2014-02-23 22:31  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Fix typo reported ages ago by
	  Robtert Nuernberg.

2014-02-23 13:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/sor.c: Ever since the block-matrix variant was
	  broken in the respect that the old iterate was divided by the
	  matrix diagonal again (instead of only computing the weighted
	  average of old and new iterate. Bug reported by Robert Nuernberg.

2014-01-14 14:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to rc11 and release the stuff hopefully by
	  tomorrow.

2014-01-14 14:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in: Martin Noltes stdbool fix
	  for C++.

2014-01-14 14:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h: Fix a bug in MVEQ_DOW().

2014-01-14 14:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to rc11 and release the stuff hopefully by
	  tomorrow.

2014-01-14 14:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in: Martin Noltes stdbool fix
	  for C++.

2014-01-14 14:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h: Fix a bug in MVEQ_DOW().

2014-01-14 14:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to rc11 and release the stuff hopefully by
	  tomorrow.

2014-01-14 14:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in: Martin Noltes stdbool fix
	  for C++.

2014-01-14 14:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h: Fix a bug in MVEQ_DOW().

2014-01-14 14:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to rc11 and release the stuff hopefully by
	  tomorrow.

2014-01-14 14:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in: Martin Noltes stdbool fix
	  for C++.

2014-01-14 14:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h: Fix a bug in MVEQ_DOW().

2013-07-16 10:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/gfx-dummy.c: Comment.

2013-07-16 09:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/gfx-dummy.c: Use gfx-dummy.c

2013-07-16 09:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/gfx-dummy.c: Special for OSX
	  brain-damagedness.

2013-07-16 10:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/gfx-dummy.c: Comment.

2013-07-16 09:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/gfx-dummy.c: Use gfx-dummy.c

2013-07-16 09:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/gfx-dummy.c: Special for OSX
	  brain-damagedness.

2013-07-16 10:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/gfx-dummy.c: Comment.

2013-07-16 09:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/gfx-dummy.c: Use gfx-dummy.c

2013-07-16 09:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/gfx-dummy.c: Special for OSX
	  brain-damagedness.

2013-07-16 10:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/gfx-dummy.c: Comment.

2013-07-16 09:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/gfx-dummy.c: Use gfx-dummy.c

2013-07-16 09:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/gfx-dummy.c: Special for OSX
	  brain-damagedness.

2013-07-10 17:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble-instat.c: Typo.

2013-07-10 10:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/traverse_nr_1d.c, alberta/src/2d/traverse_nr_2d.c,
	  alberta/src/3d/traverse_nr_3d.c, alberta/src/Common/alberta.h,
	  alberta/src/Common/memory.c, alberta/src/Common/traverse_nr.c,
	  alberta/src/Common/traverse_r.c: Some minor fixup for unfitted
	  domains.

2013-07-10 17:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble-instat.c: Typo.

2013-07-10 10:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/traverse_nr_1d.c, alberta/src/2d/traverse_nr_2d.c,
	  alberta/src/3d/traverse_nr_3d.c, alberta/src/Common/alberta.h,
	  alberta/src/Common/memory.c, alberta/src/Common/traverse_nr.c,
	  alberta/src/Common/traverse_r.c: Some minor fixup for unfitted
	  domains.

2013-07-10 17:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble-instat.c: Typo.

2013-07-10 10:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/traverse_nr_1d.c, alberta/src/2d/traverse_nr_2d.c,
	  alberta/src/3d/traverse_nr_3d.c, alberta/src/Common/alberta.h,
	  alberta/src/Common/memory.c, alberta/src/Common/traverse_nr.c,
	  alberta/src/Common/traverse_r.c: Some minor fixup for unfitted
	  domains.

2013-07-10 17:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble-instat.c: Typo.

2013-07-10 10:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/traverse_nr_1d.c, alberta/src/2d/traverse_nr_2d.c,
	  alberta/src/3d/traverse_nr_3d.c, alberta/src/Common/alberta.h,
	  alberta/src/Common/memory.c, alberta/src/Common/traverse_nr.c,
	  alberta/src/Common/traverse_r.c: Some minor fixup for unfitted
	  domains.

2013-07-05 11:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to rc10, plan is to release V3 on Sunday
	  evening.

2013-07-05 09:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Handle empty slip boundary
	  (i.e. be able to resort to std. QS)

2013-07-05 11:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to rc10, plan is to release V3 on Sunday
	  evening.

2013-07-05 09:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Handle empty slip boundary
	  (i.e. be able to resort to std. QS)

2013-07-05 11:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to rc10, plan is to release V3 on Sunday
	  evening.

2013-07-05 09:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Handle empty slip boundary
	  (i.e. be able to resort to std. QS)

2013-07-05 11:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to rc10, plan is to release V3 on Sunday
	  evening.

2013-07-05 09:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Handle empty slip boundary
	  (i.e. be able to resort to std. QS)

2013-07-04 21:47  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Bool is %B, not %b by
	  convention.

2013-07-04 21:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat,
	  demo/src/3d/INIT/quasi-stokes-slip.dat: More fancy elements.

2013-07-04 21:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/traverse_r_3d.c: In the presence of trace-meshes
	  we should always set FILL_ORIENTATION, as the mapping between the
	  bulk and trace DOFs depends on it in 3d.

2013-07-04 21:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/submesh.c: No Umlauts.

2013-07-04 21:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Comments.

2013-07-04 21:05  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Fix quadrature coordinates
	  in 3d/2d (bulk <-> trace mesh issue).

2013-07-04 21:05  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: Comment.

2013-07-04 15:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/estimator_dowb.c: Umlaute bläh.

2013-07-04 15:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h, alberta/src/Common/submesh.c: Also
	  provide bulk_to_trace_coords() functions in addition to the
	  trace_to_bulk_coords() functionality.

2013-07-04 15:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/submesh-impl.tex: Document briefly some missing trace-mesh
	  functions.

2013-07-04 14:27  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/INIT/quasi-stokes-slip.dat: Add missing parameters
	  from 2d code.

2013-07-04 14:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d, demo/src/3d/INIT/quasi-stokes.dat: Ignore
	  quasi-stokes-slip in svn.

2013-07-04 14:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Work an a disk in 2d (this
	  is the name of the game, slip with a curved boundary).

2013-07-04 14:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat: Play around.

2013-07-04 14:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/Macro/macro-circ-two.amc: Circular macro with five
	  edges.

2013-07-04 14:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c: Allow for some more basis
	  functions.

2013-07-04 14:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/traverse_r_2d.c: Do not use umlauts, not even in
	  comments. It kills the debugger.

2013-07-04 14:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Fix the print_dof_matrix_maple()
	  routines for diagonal matrices.

2013-07-04 14:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/l2scp.c: No need to run over the mesh if the
	  boundry ids indicate a void boundary segment.

2013-07-04 11:38  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/Makefile.in: Include quasi-stokes-slip.

2013-07-04 11:32  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat: Cosmetics.

2013-07-04 11:32  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Cosmetics.

2013-07-04 10:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat,
	  demo/src/2d/Macro/tower.amc, demo/src/2d/Makefile.in: Slip-bc
	  example.

2013-07-04 10:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/Makefile.in, demo/src/Common/quasi-stokes-slip.c:
	  Slip-bc example.

2013-07-04 09:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/INIT/quasi-stokes-slip.dat,
	  demo/src/Common/quasi-stokes-slip.c: Will become the
	  slip-curved-boundary example.

2013-07-04 21:47  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Bool is %B, not %b by
	  convention.

2013-07-04 21:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat,
	  demo/src/3d/INIT/quasi-stokes-slip.dat: More fancy elements.

2013-07-04 21:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/traverse_r_3d.c: In the presence of trace-meshes
	  we should always set FILL_ORIENTATION, as the mapping between the
	  bulk and trace DOFs depends on it in 3d.

2013-07-04 21:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/submesh.c: No Umlauts.

2013-07-04 21:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Comments.

2013-07-04 21:05  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Fix quadrature coordinates
	  in 3d/2d (bulk <-> trace mesh issue).

2013-07-04 21:05  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: Comment.

2013-07-04 15:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/estimator_dowb.c: Umlaute bläh.

2013-07-04 15:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h, alberta/src/Common/submesh.c: Also
	  provide bulk_to_trace_coords() functions in addition to the
	  trace_to_bulk_coords() functionality.

2013-07-04 15:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/submesh-impl.tex: Document briefly some missing trace-mesh
	  functions.

2013-07-04 14:27  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/INIT/quasi-stokes-slip.dat: Add missing parameters
	  from 2d code.

2013-07-04 14:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d, demo/src/3d/INIT/quasi-stokes.dat: Ignore
	  quasi-stokes-slip in svn.

2013-07-04 14:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Work an a disk in 2d (this
	  is the name of the game, slip with a curved boundary).

2013-07-04 14:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat: Play around.

2013-07-04 14:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/Macro/macro-circ-two.amc: Circular macro with five
	  edges.

2013-07-04 14:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c: Allow for some more basis
	  functions.

2013-07-04 14:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/traverse_r_2d.c: Do not use umlauts, not even in
	  comments. It kills the debugger.

2013-07-04 14:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Fix the print_dof_matrix_maple()
	  routines for diagonal matrices.

2013-07-04 14:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/l2scp.c: No need to run over the mesh if the
	  boundry ids indicate a void boundary segment.

2013-07-04 11:38  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/Makefile.in: Include quasi-stokes-slip.

2013-07-04 11:32  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat: Cosmetics.

2013-07-04 11:32  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Cosmetics.

2013-07-04 10:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat,
	  demo/src/2d/Macro/tower.amc, demo/src/2d/Makefile.in: Slip-bc
	  example.

2013-07-04 10:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/Makefile.in, demo/src/Common/quasi-stokes-slip.c:
	  Slip-bc example.

2013-07-04 09:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/INIT/quasi-stokes-slip.dat,
	  demo/src/Common/quasi-stokes-slip.c: Will become the
	  slip-curved-boundary example.

2013-07-04 21:47  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Bool is %B, not %b by
	  convention.

2013-07-04 21:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat,
	  demo/src/3d/INIT/quasi-stokes-slip.dat: More fancy elements.

2013-07-04 21:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/traverse_r_3d.c: In the presence of trace-meshes
	  we should always set FILL_ORIENTATION, as the mapping between the
	  bulk and trace DOFs depends on it in 3d.

2013-07-04 21:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/submesh.c: No Umlauts.

2013-07-04 21:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Comments.

2013-07-04 21:05  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Fix quadrature coordinates
	  in 3d/2d (bulk <-> trace mesh issue).

2013-07-04 21:05  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: Comment.

2013-07-04 15:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/estimator_dowb.c: Umlaute bläh.

2013-07-04 15:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h, alberta/src/Common/submesh.c: Also
	  provide bulk_to_trace_coords() functions in addition to the
	  trace_to_bulk_coords() functionality.

2013-07-04 15:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/submesh-impl.tex: Document briefly some missing trace-mesh
	  functions.

2013-07-04 14:27  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/INIT/quasi-stokes-slip.dat: Add missing parameters
	  from 2d code.

2013-07-04 14:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d, demo/src/3d/INIT/quasi-stokes.dat: Ignore
	  quasi-stokes-slip in svn.

2013-07-04 14:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Work an a disk in 2d (this
	  is the name of the game, slip with a curved boundary).

2013-07-04 14:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat: Play around.

2013-07-04 14:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/Macro/macro-circ-two.amc: Circular macro with five
	  edges.

2013-07-04 14:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c: Allow for some more basis
	  functions.

2013-07-04 14:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/traverse_r_2d.c: Do not use umlauts, not even in
	  comments. It kills the debugger.

2013-07-04 14:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Fix the print_dof_matrix_maple()
	  routines for diagonal matrices.

2013-07-04 14:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/l2scp.c: No need to run over the mesh if the
	  boundry ids indicate a void boundary segment.

2013-07-04 11:38  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/Makefile.in: Include quasi-stokes-slip.

2013-07-04 11:32  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat: Cosmetics.

2013-07-04 11:32  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Cosmetics.

2013-07-04 10:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat,
	  demo/src/2d/Macro/tower.amc, demo/src/2d/Makefile.in: Slip-bc
	  example.

2013-07-04 10:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/Makefile.in, demo/src/Common/quasi-stokes-slip.c:
	  Slip-bc example.

2013-07-04 09:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/INIT/quasi-stokes-slip.dat,
	  demo/src/Common/quasi-stokes-slip.c: Will become the
	  slip-curved-boundary example.

2013-07-04 21:47  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Bool is %B, not %b by
	  convention.

2013-07-04 21:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat,
	  demo/src/3d/INIT/quasi-stokes-slip.dat: More fancy elements.

2013-07-04 21:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/traverse_r_3d.c: In the presence of trace-meshes
	  we should always set FILL_ORIENTATION, as the mapping between the
	  bulk and trace DOFs depends on it in 3d.

2013-07-04 21:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/submesh.c: No Umlauts.

2013-07-04 21:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Comments.

2013-07-04 21:05  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Fix quadrature coordinates
	  in 3d/2d (bulk <-> trace mesh issue).

2013-07-04 21:05  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: Comment.

2013-07-04 15:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/estimator_dowb.c: Umlaute bläh.

2013-07-04 15:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h, alberta/src/Common/submesh.c: Also
	  provide bulk_to_trace_coords() functions in addition to the
	  trace_to_bulk_coords() functionality.

2013-07-04 15:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/submesh-impl.tex: Document briefly some missing trace-mesh
	  functions.

2013-07-04 14:27  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/INIT/quasi-stokes-slip.dat: Add missing parameters
	  from 2d code.

2013-07-04 14:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d, demo/src/3d/INIT/quasi-stokes.dat: Ignore
	  quasi-stokes-slip in svn.

2013-07-04 14:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Work an a disk in 2d (this
	  is the name of the game, slip with a curved boundary).

2013-07-04 14:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat: Play around.

2013-07-04 14:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/Macro/macro-circ-two.amc: Circular macro with five
	  edges.

2013-07-04 14:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c: Allow for some more basis
	  functions.

2013-07-04 14:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/traverse_r_2d.c: Do not use umlauts, not even in
	  comments. It kills the debugger.

2013-07-04 14:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Fix the print_dof_matrix_maple()
	  routines for diagonal matrices.

2013-07-04 14:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/l2scp.c: No need to run over the mesh if the
	  boundry ids indicate a void boundary segment.

2013-07-04 11:38  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/Makefile.in: Include quasi-stokes-slip.

2013-07-04 11:32  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat: Cosmetics.

2013-07-04 11:32  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Cosmetics.

2013-07-04 10:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat,
	  demo/src/2d/Macro/tower.amc, demo/src/2d/Makefile.in: Slip-bc
	  example.

2013-07-04 10:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/Makefile.in, demo/src/Common/quasi-stokes-slip.c:
	  Slip-bc example.

2013-07-04 09:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/INIT/quasi-stokes-slip.dat,
	  demo/src/Common/quasi-stokes-slip.c: Will become the
	  slip-curved-boundary example.

2013-07-02 11:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh.c: Issue a more useful notice if
	  entering 1.2 compat mode.

2013-07-02 11:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh.c: Issue a more useful notice if
	  entering 1.2 compat mode.

2013-07-02 11:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh.c: Issue a more useful notice if
	  entering 1.2 compat mode.

2013-07-02 11:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh.c: Issue a more useful notice if
	  entering 1.2 compat mode.

2013-06-28 14:37  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template, alberta_util/src/Makefile.am, configure.ac:
	  "make distclean" has now also to remove the .pc files, otherwise
	  "make distcheck" would fail.

2013-06-28 14:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta-2.0.spec: Outdated.

2013-06-28 14:37  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template, alberta_util/src/Makefile.am, configure.ac:
	  "make distclean" has now also to remove the .pc files, otherwise
	  "make distcheck" would fail.

2013-06-28 14:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta-2.0.spec: Outdated.

2013-06-28 14:37  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template, alberta_util/src/Makefile.am, configure.ac:
	  "make distclean" has now also to remove the .pc files, otherwise
	  "make distcheck" would fail.

2013-06-28 14:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta-2.0.spec: Outdated.

2013-06-28 14:37  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template, alberta_util/src/Makefile.am, configure.ac:
	  "make distclean" has now also to remove the .pc files, otherwise
	  "make distcheck" would fail.

2013-06-28 14:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta-2.0.spec: Outdated.

2013-06-27 16:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template: Not needed, but substituting nothing for
	  DIMENSION was just feeling a little bit odd ...

2013-06-27 16:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ChangeLog, NEWS: Update.

2013-06-27 15:54  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to rc9.

2013-06-27 15:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am, Makefile.am.template,
	  add_ons/block_solve/demo/2d/Makefile.am,
	  add_ons/gmv/1d/Makefile.am, add_ons/gmv/2d/Makefile.am,
	  add_ons/gmv/3d/Makefile.am, add_ons/libalbas/src/basfcts.c,
	  add_ons/libalbas/src/bulk_trace_bubble.c,
	  add_ons/paraview/2d/Makefile.am, add_ons/paraview/3d/Makefile.am,
	  alberta/Makefile.am, alberta/src/Common/Makefile.alberta.in,
	  alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/assemble_fcts.h.in,
	  alberta/src/Common/gltools.c, alberta/src/alberta_Nd/Makefile.am,
	  alberta/src/alberta_Nd_debug/Makefile.am,
	  alberta/src/alberta_Nd_profile/Makefile.am,
	  alberta_util/src/Makefile.am, configure.ac, gen-assemble-fcts.sh,
	  generate-alberta-automakefiles.sh, m4/grapeiface.m4: Strip off
	  the FEM stuff into a separate library s.t. people needing only
	  the grid have a much reduced compilation time.

2013-06-27 15:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta-fem.pc.in, alberta-gfx.pc.in, alberta-grid.pc.in,
	  alberta-utilities.pc.in: Just to make Christoph happy.

2013-06-27 16:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template: Not needed, but substituting nothing for
	  DIMENSION was just feeling a little bit odd ...

2013-06-27 16:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ChangeLog, NEWS: Update.

2013-06-27 15:54  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to rc9.

2013-06-27 15:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am, Makefile.am.template,
	  add_ons/block_solve/demo/2d/Makefile.am,
	  add_ons/gmv/1d/Makefile.am, add_ons/gmv/2d/Makefile.am,
	  add_ons/gmv/3d/Makefile.am, add_ons/libalbas/src/basfcts.c,
	  add_ons/libalbas/src/bulk_trace_bubble.c,
	  add_ons/paraview/2d/Makefile.am, add_ons/paraview/3d/Makefile.am,
	  alberta/Makefile.am, alberta/src/Common/Makefile.alberta.in,
	  alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/assemble_fcts.h.in,
	  alberta/src/Common/gltools.c, alberta/src/alberta_Nd/Makefile.am,
	  alberta/src/alberta_Nd_debug/Makefile.am,
	  alberta/src/alberta_Nd_profile/Makefile.am,
	  alberta_util/src/Makefile.am, configure.ac, gen-assemble-fcts.sh,
	  generate-alberta-automakefiles.sh, m4/grapeiface.m4: Strip off
	  the FEM stuff into a separate library s.t. people needing only
	  the grid have a much reduced compilation time.

2013-06-27 15:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta-fem.pc.in, alberta-gfx.pc.in, alberta-grid.pc.in,
	  alberta-utilities.pc.in: Just to make Christoph happy.

2013-06-27 16:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template: Not needed, but substituting nothing for
	  DIMENSION was just feeling a little bit odd ...

2013-06-27 16:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ChangeLog, NEWS: Update.

2013-06-27 15:54  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to rc9.

2013-06-27 15:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am, Makefile.am.template,
	  add_ons/block_solve/demo/2d/Makefile.am,
	  add_ons/gmv/1d/Makefile.am, add_ons/gmv/2d/Makefile.am,
	  add_ons/gmv/3d/Makefile.am, add_ons/libalbas/src/basfcts.c,
	  add_ons/libalbas/src/bulk_trace_bubble.c,
	  add_ons/paraview/2d/Makefile.am, add_ons/paraview/3d/Makefile.am,
	  alberta/Makefile.am, alberta/src/Common/Makefile.alberta.in,
	  alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/assemble_fcts.h.in,
	  alberta/src/Common/gltools.c, alberta/src/alberta_Nd/Makefile.am,
	  alberta/src/alberta_Nd_debug/Makefile.am,
	  alberta/src/alberta_Nd_profile/Makefile.am,
	  alberta_util/src/Makefile.am, configure.ac, gen-assemble-fcts.sh,
	  generate-alberta-automakefiles.sh, m4/grapeiface.m4: Strip off
	  the FEM stuff into a separate library s.t. people needing only
	  the grid have a much reduced compilation time.

2013-06-27 15:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta-fem.pc.in, alberta-gfx.pc.in, alberta-grid.pc.in,
	  alberta-utilities.pc.in: Just to make Christoph happy.

2013-06-27 16:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template: Not needed, but substituting nothing for
	  DIMENSION was just feeling a little bit odd ...

2013-06-27 16:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ChangeLog, NEWS: Update.

2013-06-27 15:54  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to rc9.

2013-06-27 15:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am, Makefile.am.template,
	  add_ons/block_solve/demo/2d/Makefile.am,
	  add_ons/gmv/1d/Makefile.am, add_ons/gmv/2d/Makefile.am,
	  add_ons/gmv/3d/Makefile.am, add_ons/libalbas/src/basfcts.c,
	  add_ons/libalbas/src/bulk_trace_bubble.c,
	  add_ons/paraview/2d/Makefile.am, add_ons/paraview/3d/Makefile.am,
	  alberta/Makefile.am, alberta/src/Common/Makefile.alberta.in,
	  alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/assemble_fcts.h.in,
	  alberta/src/Common/gltools.c, alberta/src/alberta_Nd/Makefile.am,
	  alberta/src/alberta_Nd_debug/Makefile.am,
	  alberta/src/alberta_Nd_profile/Makefile.am,
	  alberta_util/src/Makefile.am, configure.ac, gen-assemble-fcts.sh,
	  generate-alberta-automakefiles.sh, m4/grapeiface.m4: Strip off
	  the FEM stuff into a separate library s.t. people needing only
	  the grid have a much reduced compilation time.

2013-06-27 15:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta-fem.pc.in, alberta-gfx.pc.in, alberta-grid.pc.in,
	  alberta-utilities.pc.in: Just to make Christoph happy.

2013-06-27 15:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am, Makefile.am.template,
	  add_ons/block_solve/demo/2d/Makefile.am,
	  add_ons/gmv/1d/Makefile.am, add_ons/gmv/2d/Makefile.am,
	  add_ons/gmv/3d/Makefile.am, add_ons/libalbas/src/basfcts.c,
	  add_ons/libalbas/src/bulk_trace_bubble.c,
	  add_ons/paraview/2d/Makefile.am, add_ons/paraview/3d/Makefile.am,
	  alberta/Makefile.am, alberta/src/Common/Makefile.alberta.in,
	  alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/assemble_fcts.h.in,
	  alberta/src/Common/gltools.c, alberta/src/alberta_Nd/Makefile.am,
	  alberta/src/alberta_Nd_debug/Makefile.am,
	  alberta/src/alberta_Nd_profile/Makefile.am,
	  alberta_util/src/Makefile.am, configure.ac, gen-assemble-fcts.sh,
	  generate-alberta-automakefiles.sh, m4/grapeiface.m4: Strip off
	  the FEM stuff into a separate library s.t. people needing only
	  the grid have a much reduced compilation time.

2013-06-27 15:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta-fem.pc.in, alberta-gfx.pc.in, alberta-grid.pc.in,
	  alberta-utilities.pc.in: Just to make Christoph happy.

2013-03-14 16:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c: Allow quadrature degree for
	  RaviartThomas element.

2013-03-14 16:26  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c,
	  add_ons/libalbas/src/raviart_thomas.c, alberta/src/Common/eval.c:
	  Fix numerous bugs concerning the Raviart-Thomas element.

2013-03-14 16:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c: Allow quadrature degree for
	  RaviartThomas element.

2013-03-14 16:26  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c,
	  add_ons/libalbas/src/raviart_thomas.c, alberta/src/Common/eval.c:
	  Fix numerous bugs concerning the Raviart-Thomas element.

2013-03-14 16:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c: Allow quadrature degree for
	  RaviartThomas element.

2013-03-14 16:26  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c,
	  add_ons/libalbas/src/raviart_thomas.c, alberta/src/Common/eval.c:
	  Fix numerous bugs concerning the Raviart-Thomas element.

2013-03-14 16:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c: Allow quadrature degree for
	  RaviartThomas element.

2013-03-14 16:26  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c,
	  add_ons/libalbas/src/raviart_thomas.c, alberta/src/Common/eval.c:
	  Fix numerous bugs concerning the Raviart-Thomas element.

2013-03-14 16:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c: Allow quadrature degree for
	  RaviartThomas element.

2013-03-14 16:26  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c,
	  add_ons/libalbas/src/raviart_thomas.c, alberta/src/Common/eval.c:
	  Fix numerous bugs concerning the Raviart-Thomas element.

2013-03-13 19:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c,
	  add_ons/libalbas/src/raviart_thomas.c: Try to fix RaviartThomas,
	  to no avail up to now.

2013-03-13 19:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh_xdr_1.2.c: Fix include order.

2013-03-13 19:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/quad_cache.c: Fix include order.

2013-03-13 19:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* README-for-DUNE: Initial revision.

2013-03-13 19:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* README: Cosmetics.

2013-03-13 19:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c,
	  add_ons/libalbas/src/raviart_thomas.c: Try to fix RaviartThomas,
	  to no avail up to now.

2013-03-13 19:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh_xdr_1.2.c: Fix include order.

2013-03-13 19:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/quad_cache.c: Fix include order.

2013-03-13 19:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* README-for-DUNE: Initial revision.
	  el_info->face_bound[0] is the boundary type of the face of the
	  master element el_info->edge_bound[0..2] are the boundary types
	  of the edges of the master el_info->vertex_bound[0..2]
	  analogously
	  
	  In order to allow stuff like assembling "master-matrices" over
	  trace-meshes the get_bound() call-backs of the BAS_FCTS structure
	  has been changed s.t. it no longer looks at EL_INFO->wall_bound,
	  but instead always uses EL_INFO->{face,edge,vertex}_bound. In
	  particular, 2d basis functions with CENTER DOFs may now return
	  non-interior boundary classifications when called with an
	  EL_INFO-structure with FILL_MASTER_INFO set.

2013-03-13 19:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* README: Cosmetics.

2013-03-13 19:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c,
	  add_ons/libalbas/src/raviart_thomas.c: Try to fix RaviartThomas,
	  to no avail up to now.

2013-03-13 19:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh_xdr_1.2.c: Fix include order.

2013-03-13 19:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/quad_cache.c: Fix include order.

2013-03-13 19:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* README-for-DUNE: Initial revision.

2013-03-13 19:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* README: Cosmetics.

2013-03-13 19:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c,
	  add_ons/libalbas/src/raviart_thomas.c: Try to fix RaviartThomas,
	  to no avail up to now.

2013-03-13 19:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh_xdr_1.2.c: Fix include order.

2013-03-13 19:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/quad_cache.c: Fix include order.

2013-03-13 19:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* README-for-DUNE: Initial revision.

2013-03-13 19:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* README: Cosmetics.

2013-03-13 19:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c,
	  add_ons/libalbas/src/raviart_thomas.c: Try to fix RaviartThomas,
	  to no avail up to now.

2013-03-13 19:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh_xdr_1.2.c: Fix include order.

2013-03-13 19:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/quad_cache.c: Fix include order.

2013-03-13 19:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* README-for-DUNE: Initial revision.

2013-03-13 19:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* README: Cosmetics.

2012-09-26 20:40  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/evaluate.h, alberta/src/Common/submesh.c,
	  alberta_util/src/alberta_util.h.in.in, configure.ac: clang fixes.

2012-09-26 20:40  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/evaluate.h, alberta/src/Common/submesh.c,
	  alberta_util/src/alberta_util.h.in.in, configure.ac: clang fixes.

2012-09-26 20:40  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/evaluate.h, alberta/src/Common/submesh.c,
	  alberta_util/src/alberta_util.h.in.in, configure.ac: clang fixes.

2012-09-26 20:40  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/evaluate.h, alberta/src/Common/submesh.c,
	  alberta_util/src/alberta_util.h.in.in, configure.ac: clang fixes.

2012-09-26 20:40  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/evaluate.h, alberta/src/Common/submesh.c,
	  alberta_util/src/alberta_util.h.in.in, configure.ac: clang fixes.

2012-09-13 12:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh.c,
	  demo/src/Common/ellipt-isoparam.c: Don't use c99 constructs if
	  that can be avoided.

2012-09-13 12:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh.c,
	  demo/src/Common/ellipt-isoparam.c: Don't use c99 constructs if
	  that can be avoided.

2012-09-13 12:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh.c,
	  demo/src/Common/ellipt-isoparam.c: Don't use c99 constructs if
	  that can be avoided.

2012-09-13 12:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh.c,
	  demo/src/Common/ellipt-isoparam.c: Don't use c99 constructs if
	  that can be avoided.

2012-09-13 12:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh.c,
	  demo/src/Common/ellipt-isoparam.c: Don't use c99 constructs if
	  that can be avoided.

2012-09-12 22:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Typo.

2012-09-12 21:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: Timestamp.

2012-09-12 21:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Optional debugging code.

2012-09-12 21:55  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/ellipt-isoparam.dat,
	  demo/src/3d/INIT/ellipt-isoparam.dat: Debugging, fix some
	  sillyness.

2012-09-12 21:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Testing, include code for
	  testing the correct decay of the reference mapping.

2012-09-12 21:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/parametric_1d.c, alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/parametric_3d.c, alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/parametric.c, alberta/src/Common/read_mesh.c,
	  alberta/src/Common/write_mesh.c: Fix some sillyness concerning
	  higher order iso-parametric parametrizations.

2012-09-12 22:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Typo.

2012-09-12 21:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: Timestamp.

2012-09-12 21:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Optional debugging code.

2012-09-12 21:55  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/ellipt-isoparam.dat,
	  demo/src/3d/INIT/ellipt-isoparam.dat: Debugging, fix some
	  sillyness.

2012-09-12 21:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Testing, include code for
	  testing the correct decay of the reference mapping.

2012-09-12 21:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/parametric_1d.c, alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/parametric_3d.c, alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/parametric.c, alberta/src/Common/read_mesh.c,
	  alberta/src/Common/write_mesh.c: Fix some sillyness concerning
	  higher order iso-parametric parametrizations.

2012-09-12 22:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Typo.

2012-09-12 21:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: Timestamp.

2012-09-12 21:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Optional debugging code.

2012-09-12 21:55  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/ellipt-isoparam.dat,
	  demo/src/3d/INIT/ellipt-isoparam.dat: Debugging, fix some
	  sillyness.

2012-09-12 21:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Testing, include code for
	  testing the correct decay of the reference mapping.

2012-09-12 21:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/parametric_1d.c, alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/parametric_3d.c, alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/parametric.c, alberta/src/Common/read_mesh.c,
	  alberta/src/Common/write_mesh.c: Fix some sillyness concerning
	  higher order iso-parametric parametrizations.

2012-09-12 22:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Typo.

2012-09-12 21:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: Timestamp.

2012-09-12 21:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Optional debugging code.

2012-09-12 21:55  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/ellipt-isoparam.dat,
	  demo/src/3d/INIT/ellipt-isoparam.dat: Debugging, fix some
	  sillyness.

2012-09-12 21:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Testing, include code for
	  testing the correct decay of the reference mapping.

2012-09-12 21:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/parametric_1d.c, alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/parametric_3d.c, alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/parametric.c, alberta/src/Common/read_mesh.c,
	  alberta/src/Common/write_mesh.c: Fix some sillyness concerning
	  higher order iso-parametric parametrizations.

2012-09-12 22:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Typo.

2012-09-12 21:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: Timestamp.

2012-09-12 21:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Optional debugging code.

2012-09-12 21:55  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/ellipt-isoparam.dat,
	  demo/src/3d/INIT/ellipt-isoparam.dat: Debugging, fix some
	  sillyness.

2012-09-12 21:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Testing, include code for
	  testing the correct decay of the reference mapping.

2012-09-12 21:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/parametric_1d.c, alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/parametric_3d.c, alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/parametric.c, alberta/src/Common/read_mesh.c,
	  alberta/src/Common/write_mesh.c: Fix some sillyness concerning
	  higher order iso-parametric parametrizations.

2012-09-11 12:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/parametric_3d.c: Debugging

2012-09-11 12:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/parametric_3d.c: Debugging

2012-09-11 12:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/parametric_3d.c: Debugging

2012-09-11 12:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/parametric_3d.c: Debugging

2012-09-11 12:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/parametric_3d.c: Debugging

2012-09-07 22:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/HB_precon.c: Need to make sure that
	  dof[0,1,2,3][0] is initialized on some pseudo-element.

2012-09-07 22:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/HB_precon.c: Need to make sure that
	  dof[0,1,2,3][0] is initialized on some pseudo-element.

2012-09-07 22:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/HB_precon.c: Need to make sure that
	  dof[0,1,2,3][0] is initialized on some pseudo-element.

2012-09-07 22:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/HB_precon.c: Need to make sure that
	  dof[0,1,2,3][0] is initialized on some pseudo-element.

2012-09-07 22:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/HB_precon.c: Need to make sure that
	  dof[0,1,2,3][0] is initialized on some pseudo-element.

2012-09-06 21:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat, demo/src/2d/Makefile.in,
	  demo/src/3d/INIT/quasi-stokes-slip.dat, demo/src/3d/Makefile.in,
	  demo/src/Common/quasi-stokes-slip.c: Disable slip b.c., stuff for
	  much later.

2012-09-06 21:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat, demo/src/2d/Makefile.in,
	  demo/src/3d/INIT/quasi-stokes-slip.dat, demo/src/3d/Makefile.in,
	  demo/src/Common/quasi-stokes-slip.c: Disable slip b.c., stuff for
	  much later.

2012-09-06 21:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat, demo/src/2d/Makefile.in,
	  demo/src/3d/INIT/quasi-stokes-slip.dat, demo/src/3d/Makefile.in,
	  demo/src/Common/quasi-stokes-slip.c: Disable slip b.c., stuff for
	  much later.

2012-09-06 21:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat, demo/src/2d/Makefile.in,
	  demo/src/3d/INIT/quasi-stokes-slip.dat, demo/src/3d/Makefile.in,
	  demo/src/Common/quasi-stokes-slip.c: Disable slip b.c., stuff for
	  much later.

2012-09-06 21:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat, demo/src/2d/Makefile.in,
	  demo/src/3d/INIT/quasi-stokes-slip.dat, demo/src/3d/Makefile.in,
	  demo/src/Common/quasi-stokes-slip.c: Disable slip b.c., stuff for
	  much later.

2012-08-28 16:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bubble.c: The bubble was zero ... Pfui.

2012-08-28 16:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bubble.c: The bubble was zero ... Pfui.

2012-08-28 16:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bubble.c: The bubble was zero ... Pfui.

2012-08-28 16:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bubble.c: The bubble was zero ... Pfui.

2012-08-28 16:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bubble.c: The bubble was zero ... Pfui.

2012-06-12 17:39  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Write FE-data.

2012-06-12 17:38  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat, demo/src/2d/Makefile.in:
	  2d version for testing.

2012-06-12 06:24  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in, alberta_util/src/msg.c:
	  Resurrected print_real_vec() ....

2012-06-12 06:22  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/quasi-stokes-slip: Argh, a binary.

2012-06-12 17:39  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Write FE-data.

2012-06-12 17:38  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat, demo/src/2d/Makefile.in:
	  2d version for testing.

2012-06-12 06:24  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in, alberta_util/src/msg.c:
	  Resurrected print_real_vec() ....

2012-06-12 06:22  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/quasi-stokes-slip: Argh, a binary.

2012-06-12 17:39  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Write FE-data.

2012-06-12 17:38  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat, demo/src/2d/Makefile.in:
	  2d version for testing.

2012-06-12 06:24  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in, alberta_util/src/msg.c:
	  Resurrected print_real_vec() ....

2012-06-12 06:22  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/quasi-stokes-slip: Argh, a binary.

2012-06-12 17:39  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Write FE-data.

2012-06-12 17:38  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat, demo/src/2d/Makefile.in:
	  2d version for testing.

2012-06-12 06:24  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in, alberta_util/src/msg.c:
	  Resurrected print_real_vec() ....

2012-06-12 06:22  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/quasi-stokes-slip: Argh, a binary.

2012-06-12 17:39  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes-slip.c: Write FE-data.

2012-06-12 17:38  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes-slip.dat, demo/src/2d/Makefile.in:
	  2d version for testing.

2012-06-12 06:24  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in, alberta_util/src/msg.c:
	  Resurrected print_real_vec() ....

2012-06-12 06:22  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/quasi-stokes-slip: Argh, a binary.

2012-06-11 10:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in, alberta_util/src/msg.c:
	  Remove print_int/real_vec()

2012-06-11 10:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/INIT/quasi-stokes-slip.dat,
	  demo/src/3d/Macro/tower.amc, demo/src/3d/Makefile.in,
	  demo/src/3d/quasi-stokes-slip,
	  demo/src/Common/quasi-stokes-slip.c,
	  demo/src/Common/quasi-stokes.c: Will become a demo for slip b.c.,
	  unfinished yet.

2012-06-11 08:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: Use optimized LDDLt().

2012-06-11 10:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in, alberta_util/src/msg.c:
	  Remove print_int/real_vec()

2012-06-11 10:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/INIT/quasi-stokes-slip.dat,
	  demo/src/3d/Macro/tower.amc, demo/src/3d/Makefile.in,
	  demo/src/3d/quasi-stokes-slip,
	  demo/src/Common/quasi-stokes-slip.c,
	  demo/src/Common/quasi-stokes.c: Will become a demo for slip b.c.,
	  unfinished yet.

2012-06-11 08:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: Use optimized LDDLt().

2012-06-11 10:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in, alberta_util/src/msg.c:
	  Remove print_int/real_vec()

2012-06-11 10:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/INIT/quasi-stokes-slip.dat,
	  demo/src/3d/Macro/tower.amc, demo/src/3d/Makefile.in,
	  demo/src/3d/quasi-stokes-slip,
	  demo/src/Common/quasi-stokes-slip.c,
	  demo/src/Common/quasi-stokes.c: Will become a demo for slip b.c.,
	  unfinished yet.

2012-06-11 08:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: Use optimized LDDLt().

2012-06-11 10:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in, alberta_util/src/msg.c:
	  Remove print_int/real_vec()

2012-06-11 10:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/INIT/quasi-stokes-slip.dat,
	  demo/src/3d/Macro/tower.amc, demo/src/3d/Makefile.in,
	  demo/src/3d/quasi-stokes-slip,
	  demo/src/Common/quasi-stokes-slip.c,
	  demo/src/Common/quasi-stokes.c: Will become a demo for slip b.c.,
	  unfinished yet.

2012-06-11 08:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: Use optimized LDDLt().

2012-06-11 10:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in, alberta_util/src/msg.c:
	  Remove print_int/real_vec()

2012-06-11 10:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/3d/INIT/quasi-stokes-slip.dat,
	  demo/src/3d/Macro/tower.amc, demo/src/3d/Makefile.in,
	  demo/src/3d/quasi-stokes-slip,
	  demo/src/Common/quasi-stokes-slip.c,
	  demo/src/Common/quasi-stokes.c: Will become a demo for slip b.c.,
	  unfinished yet.

2012-06-11 08:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: Use optimized LDDLt().

2012-06-08 09:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Fix broken print_el_bndry_vec().

2012-06-08 07:41  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: LDDLt() fix.

2012-06-08 09:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Fix broken print_el_bndry_vec().

2012-06-08 07:41  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: LDDLt() fix.

2012-06-08 09:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Fix broken print_el_bndry_vec().

2012-06-08 07:41  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: LDDLt() fix.

2012-06-08 09:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Fix broken print_el_bndry_vec().

2012-06-08 07:41  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: LDDLt() fix.

2012-06-08 09:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Fix broken print_el_bndry_vec().

2012-06-08 07:41  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: LDDLt() fix.

2012-05-25 12:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: const issue.

2012-05-25 12:02  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c, demo/src/Common/stokes.c: Use new
	  dof_matrix_try_diagonal()

2012-05-25 11:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h,
	  alberta/src/Common/assemble_neigh.c,
	  alberta/src/Common/dof_admin.c, alberta/src/Common/memory.c:
	  Never automatically make DOF_MATRICES diagonal, this breaks
	  finite volume schemes. Instead, create a new support function
	  dof_matrix_try_diagonal() which "diagonalizes" the matrix
	  structure if row- and columen-spaces have exactly one DOF per
	  element. It is up to the application to decide whether it is
	  useful to call this function.

2012-05-25 12:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: const issue.

2012-05-25 12:02  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c, demo/src/Common/stokes.c: Use new
	  dof_matrix_try_diagonal()

2012-05-25 11:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h,
	  alberta/src/Common/assemble_neigh.c,
	  alberta/src/Common/dof_admin.c, alberta/src/Common/memory.c:
	  Never automatically make DOF_MATRICES diagonal, this breaks
	  finite volume schemes. Instead, create a new support function
	  dof_matrix_try_diagonal() which "diagonalizes" the matrix
	  structure if row- and columen-spaces have exactly one DOF per
	  element. It is up to the application to decide whether it is
	  useful to call this function.

2012-05-25 12:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: const issue.

2012-05-25 12:02  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c, demo/src/Common/stokes.c: Use new
	  dof_matrix_try_diagonal()

2012-05-25 11:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h,
	  alberta/src/Common/assemble_neigh.c,
	  alberta/src/Common/dof_admin.c, alberta/src/Common/memory.c:
	  Never automatically make DOF_MATRICES diagonal, this breaks
	  finite volume schemes. Instead, create a new support function
	  dof_matrix_try_diagonal() which "diagonalizes" the matrix
	  structure if row- and columen-spaces have exactly one DOF per
	  element. It is up to the application to decide whether it is
	  useful to call this function.

2012-05-25 12:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: const issue.

2012-05-25 12:02  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c, demo/src/Common/stokes.c: Use new
	  dof_matrix_try_diagonal()

2012-05-25 11:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h,
	  alberta/src/Common/assemble_neigh.c,
	  alberta/src/Common/dof_admin.c, alberta/src/Common/memory.c:
	  Never automatically make DOF_MATRICES diagonal, this breaks
	  finite volume schemes. Instead, create a new support function
	  dof_matrix_try_diagonal() which "diagonalizes" the matrix
	  structure if row- and columen-spaces have exactly one DOF per
	  element. It is up to the application to decide whether it is
	  useful to call this function.

2012-05-25 12:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: const issue.

2012-05-25 12:02  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c, demo/src/Common/stokes.c: Use new
	  dof_matrix_try_diagonal()

2012-05-25 11:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h,
	  alberta/src/Common/assemble_neigh.c,
	  alberta/src/Common/dof_admin.c, alberta/src/Common/memory.c:
	  Never automatically make DOF_MATRICES diagonal, this breaks
	  finite volume schemes. Instead, create a new support function
	  dof_matrix_try_diagonal() which "diagonalizes" the matrix
	  structure if row- and columen-spaces have exactly one DOF per
	  element. It is up to the application to decide whether it is
	  useful to call this function.

2012-05-24 19:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/submesh_2d.c, alberta/src/3d/submesh_3d.c,
	  alberta/src/Common/quad_cache.c: Fix some minor memory leaks.

2012-05-24 08:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: get_dof_matrix() set everything to
	  zero by default.

2012-05-24 19:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/submesh_2d.c, alberta/src/3d/submesh_3d.c,
	  alberta/src/Common/quad_cache.c: Fix some minor memory leaks.

2012-05-24 08:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: get_dof_matrix() set everything to
	  zero by default.

2012-05-24 19:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/submesh_2d.c, alberta/src/3d/submesh_3d.c,
	  alberta/src/Common/quad_cache.c: Fix some minor memory leaks.

2012-05-24 08:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: get_dof_matrix() set everything to
	  zero by default.

2012-05-24 19:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/submesh_2d.c, alberta/src/3d/submesh_3d.c,
	  alberta/src/Common/quad_cache.c: Fix some minor memory leaks.

2012-05-24 08:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: get_dof_matrix() set everything to
	  zero by default.

2012-05-24 19:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/submesh_2d.c, alberta/src/3d/submesh_3d.c,
	  alberta/src/Common/quad_cache.c: Fix some minor memory leaks.

2012-05-24 08:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: get_dof_matrix() set everything to
	  zero by default.

2012-05-23 16:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: test_dof_matrix(): fix symmetry
	  check.

2012-05-23 16:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: test_dof_matrix(): fix symmetry
	  check.

2012-05-23 16:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: test_dof_matrix(): fix symmetry
	  check.

2012-05-23 16:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: test_dof_matrix(): fix symmetry
	  check.

2012-05-23 16:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: test_dof_matrix(): fix symmetry
	  check.

2012-05-22 16:36  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Some distclean fixes.

2012-05-22 16:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Fix diagonal matrix stuff.

2012-05-22 16:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/Common/stokes.c: Get the block
	  preconditioner ...

2012-05-22 16:36  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Some distclean fixes.

2012-05-22 16:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Fix diagonal matrix stuff.

2012-05-22 16:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/Common/stokes.c: Get the block
	  preconditioner ...

2012-05-22 16:36  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Some distclean fixes.

2012-05-22 16:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Fix diagonal matrix stuff.

2012-05-22 16:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/Common/stokes.c: Get the block
	  preconditioner ...

2012-05-22 16:36  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Some distclean fixes.

2012-05-22 16:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Fix diagonal matrix stuff.

2012-05-22 16:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/Common/stokes.c: Get the block
	  preconditioner ...

2012-05-22 16:36  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Some distclean fixes.

2012-05-22 16:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Fix diagonal matrix stuff.

2012-05-22 16:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/Common/stokes.c: Get the block
	  preconditioner ...

2012-03-19 09:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am: Fix lowdim_source and
	  common_sources stuff.

2012-03-19 09:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/Makefile.am: Don't install "magic", causes trouble with
	  "make -j".

2012-03-19 09:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am: Fix lowdim_source and
	  common_sources stuff.

2012-03-19 09:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/Makefile.am: Don't install "magic", causes trouble with
	  "make -j".

2012-03-19 09:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am: Fix lowdim_source and
	  common_sources stuff.

2012-03-19 09:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/Makefile.am: Don't install "magic", causes trouble with
	  "make -j".

2012-03-19 09:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am: Fix lowdim_source and
	  common_sources stuff.

2012-03-19 09:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/Makefile.am: Don't install "magic", causes trouble with
	  "make -j".

2012-03-19 09:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am: Fix lowdim_source and
	  common_sources stuff.

2012-03-19 09:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/Makefile.am: Don't install "magic", causes trouble with
	  "make -j".

2012-03-16 22:24  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template, add_ons/libalbas/src/bubble.c,
	  add_ons/libalbas/src/trace_bubble.c,
	  add_ons/libalbas/src/trace_tensor_bubbles.c,
	  alberta/src/3d/macro_3d.c, alberta/src/3d/parametric_3d.c,
	  alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/dxtools.c, alberta_util/src/msg.c: Reduce the
	  amount of compiler warnings even further. Some warnings remain;
	  don't think that they are relevant. Cross thumbs.

2012-03-16 15:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/trace_bubble.c, alberta/src/3d/refine_3d.c,
	  alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/dof_chains.h, alberta/src/Common/el_vec.h,
	  alberta/src/Common/evaluate.h, alberta/src/Common/macro.c,
	  alberta/src/Common/oem_sp_solve.c,
	  alberta_util/src/alberta_util.h.in.in, configure.ac: Remove some
	  compiler warnings.

2012-03-16 11:37  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-periodic.c, demo/src/Common/heat-easy.c,
	  demo/src/Common/heat.c, demo/src/Common/nonlin.c,
	  demo/src/Common/quasi-stokes.c, demo/src/Common/stokes.c: Remove
	  "unused but set variable" warnings.

2012-03-16 22:24  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template, add_ons/libalbas/src/bubble.c,
	  add_ons/libalbas/src/trace_bubble.c,
	  add_ons/libalbas/src/trace_tensor_bubbles.c,
	  alberta/src/3d/macro_3d.c, alberta/src/3d/parametric_3d.c,
	  alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/dxtools.c, alberta_util/src/msg.c: Reduce the
	  amount of compiler warnings even further. Some warnings remain;
	  don't think that they are relevant. Cross thumbs.

2012-03-16 15:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/trace_bubble.c, alberta/src/3d/refine_3d.c,
	  alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/dof_chains.h, alberta/src/Common/el_vec.h,
	  alberta/src/Common/evaluate.h, alberta/src/Common/macro.c,
	  alberta/src/Common/oem_sp_solve.c,
	  alberta_util/src/alberta_util.h.in.in, configure.ac: Remove some
	  compiler warnings.

2012-03-16 11:37  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-periodic.c, demo/src/Common/heat-easy.c,
	  demo/src/Common/heat.c, demo/src/Common/nonlin.c,
	  demo/src/Common/quasi-stokes.c, demo/src/Common/stokes.c: Remove
	  "unused but set variable" warnings.

2012-03-16 22:24  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template, add_ons/libalbas/src/bubble.c,
	  add_ons/libalbas/src/trace_bubble.c,
	  add_ons/libalbas/src/trace_tensor_bubbles.c,
	  alberta/src/3d/macro_3d.c, alberta/src/3d/parametric_3d.c,
	  alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/dxtools.c, alberta_util/src/msg.c: Reduce the
	  amount of compiler warnings even further. Some warnings remain;
	  don't think that they are relevant. Cross thumbs.

2012-03-16 15:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/trace_bubble.c, alberta/src/3d/refine_3d.c,
	  alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/dof_chains.h, alberta/src/Common/el_vec.h,
	  alberta/src/Common/evaluate.h, alberta/src/Common/macro.c,
	  alberta/src/Common/oem_sp_solve.c,
	  alberta_util/src/alberta_util.h.in.in, configure.ac: Remove some
	  compiler warnings.

2012-03-16 11:37  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-periodic.c, demo/src/Common/heat-easy.c,
	  demo/src/Common/heat.c, demo/src/Common/nonlin.c,
	  demo/src/Common/quasi-stokes.c, demo/src/Common/stokes.c: Remove
	  "unused but set variable" warnings.

2012-03-16 22:24  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template, add_ons/libalbas/src/bubble.c,
	  add_ons/libalbas/src/trace_bubble.c,
	  add_ons/libalbas/src/trace_tensor_bubbles.c,
	  alberta/src/3d/macro_3d.c, alberta/src/3d/parametric_3d.c,
	  alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/dxtools.c, alberta_util/src/msg.c: Reduce the
	  amount of compiler warnings even further. Some warnings remain;
	  don't think that they are relevant. Cross thumbs.

2012-03-16 15:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/trace_bubble.c, alberta/src/3d/refine_3d.c,
	  alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/dof_chains.h, alberta/src/Common/el_vec.h,
	  alberta/src/Common/evaluate.h, alberta/src/Common/macro.c,
	  alberta/src/Common/oem_sp_solve.c,
	  alberta_util/src/alberta_util.h.in.in, configure.ac: Remove some
	  compiler warnings.

2012-03-16 11:37  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-periodic.c, demo/src/Common/heat-easy.c,
	  demo/src/Common/heat.c, demo/src/Common/nonlin.c,
	  demo/src/Common/quasi-stokes.c, demo/src/Common/stokes.c: Remove
	  "unused but set variable" warnings.

2012-03-16 22:24  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template, add_ons/libalbas/src/bubble.c,
	  add_ons/libalbas/src/trace_bubble.c,
	  add_ons/libalbas/src/trace_tensor_bubbles.c,
	  alberta/src/3d/macro_3d.c, alberta/src/3d/parametric_3d.c,
	  alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/dxtools.c, alberta_util/src/msg.c: Reduce the
	  amount of compiler warnings even further. Some warnings remain;
	  don't think that they are relevant. Cross thumbs.

2012-03-16 15:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/trace_bubble.c, alberta/src/3d/refine_3d.c,
	  alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/dof_chains.h, alberta/src/Common/el_vec.h,
	  alberta/src/Common/evaluate.h, alberta/src/Common/macro.c,
	  alberta/src/Common/oem_sp_solve.c,
	  alberta_util/src/alberta_util.h.in.in, configure.ac: Remove some
	  compiler warnings.

2012-03-16 11:37  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-periodic.c, demo/src/Common/heat-easy.c,
	  demo/src/Common/heat.c, demo/src/Common/nonlin.c,
	  demo/src/Common/quasi-stokes.c, demo/src/Common/stokes.c: Remove
	  "unused but set variable" warnings.

2012-03-15 16:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/bamg2alberta/bamg2alberta.c,
	  add_ons/libalbas/src/trace_tensor_bubbles.c,
	  add_ons/libalbas/tests/stokes_bubble_d_test.c,
	  add_ons/libalbas/tests/stokes_bubble_test.c,
	  add_ons/libalbas/tests/stokes_wall_bubble_test.c,
	  add_ons/paraview/Common/alberta2paraview.c,
	  add_ons/static_condensation/src/static-condensation-dd.c,
	  add_ons/static_condensation/src/static-condensation.c,
	  alberta/src/0d/parametric_0d.c, alberta/src/1d/parametric_1d.c,
	  alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/disc_lagrange_2_3d.c, alberta/src/3d/macro_3d.c,
	  alberta/src/3d/parametric_3d.c, alberta/src/3d/submesh_3d.c,
	  alberta/src/Common/assemble-instat.c,
	  alberta/src/Common/assemble.c,
	  alberta/src/Common/assemble_bndry.c,
	  alberta/src/Common/assemble_neigh.c,
	  alberta/src/Common/dof_admin.c, alberta/src/Common/dummy.c,
	  alberta/src/Common/error.c, alberta/src/Common/evaluate.h,
	  alberta/src/Common/gauss-quad.c, alberta/src/Common/gltools.c,
	  alberta/src/Common/graphXO.c, alberta/src/Common/l2scp.c,
	  alberta/src/Common/macro.c, alberta/src/Common/memory.c,
	  alberta/src/Common/parametric.c,
	  alberta/src/Common/parametric_intern.h,
	  alberta/src/Common/read_mesh.c, alberta/src/Common/submesh.c,
	  alberta/src/Common/wall_quad.c, alberta/src/Common/write_mesh.c,
	  alberta_util/src/msg.c, alberta_util/src/symmlq.c,
	  demo/src/Common/geomview-graphics.c: Get rid of some compiler
	  warnings.

2012-03-15 16:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/bamg2alberta/bamg2alberta.c,
	  add_ons/libalbas/src/trace_tensor_bubbles.c,
	  add_ons/libalbas/tests/stokes_bubble_d_test.c,
	  add_ons/libalbas/tests/stokes_bubble_test.c,
	  add_ons/libalbas/tests/stokes_wall_bubble_test.c,
	  add_ons/paraview/Common/alberta2paraview.c,
	  add_ons/static_condensation/src/static-condensation-dd.c,
	  add_ons/static_condensation/src/static-condensation.c,
	  alberta/src/0d/parametric_0d.c, alberta/src/1d/parametric_1d.c,
	  alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/disc_lagrange_2_3d.c, alberta/src/3d/macro_3d.c,
	  alberta/src/3d/parametric_3d.c, alberta/src/3d/submesh_3d.c,
	  alberta/src/Common/assemble-instat.c,
	  alberta/src/Common/assemble.c,
	  alberta/src/Common/assemble_bndry.c,
	  alberta/src/Common/assemble_neigh.c,
	  alberta/src/Common/dof_admin.c, alberta/src/Common/dummy.c,
	  alberta/src/Common/error.c, alberta/src/Common/evaluate.h,
	  alberta/src/Common/gauss-quad.c, alberta/src/Common/gltools.c,
	  alberta/src/Common/graphXO.c, alberta/src/Common/l2scp.c,
	  alberta/src/Common/macro.c, alberta/src/Common/memory.c,
	  alberta/src/Common/parametric.c,
	  alberta/src/Common/parametric_intern.h,
	  alberta/src/Common/read_mesh.c, alberta/src/Common/submesh.c,
	  alberta/src/Common/wall_quad.c, alberta/src/Common/write_mesh.c,
	  alberta_util/src/msg.c, alberta_util/src/symmlq.c,
	  demo/src/Common/geomview-graphics.c: Get rid of some compiler
	  warnings.

2012-03-15 16:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/bamg2alberta/bamg2alberta.c,
	  add_ons/libalbas/src/trace_tensor_bubbles.c,
	  add_ons/libalbas/tests/stokes_bubble_d_test.c,
	  add_ons/libalbas/tests/stokes_bubble_test.c,
	  add_ons/libalbas/tests/stokes_wall_bubble_test.c,
	  add_ons/paraview/Common/alberta2paraview.c,
	  add_ons/static_condensation/src/static-condensation-dd.c,
	  add_ons/static_condensation/src/static-condensation.c,
	  alberta/src/0d/parametric_0d.c, alberta/src/1d/parametric_1d.c,
	  alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/disc_lagrange_2_3d.c, alberta/src/3d/macro_3d.c,
	  alberta/src/3d/parametric_3d.c, alberta/src/3d/submesh_3d.c,
	  alberta/src/Common/assemble-instat.c,
	  alberta/src/Common/assemble.c,
	  alberta/src/Common/assemble_bndry.c,
	  alberta/src/Common/assemble_neigh.c,
	  alberta/src/Common/dof_admin.c, alberta/src/Common/dummy.c,
	  alberta/src/Common/error.c, alberta/src/Common/evaluate.h,
	  alberta/src/Common/gauss-quad.c, alberta/src/Common/gltools.c,
	  alberta/src/Common/graphXO.c, alberta/src/Common/l2scp.c,
	  alberta/src/Common/macro.c, alberta/src/Common/memory.c,
	  alberta/src/Common/parametric.c,
	  alberta/src/Common/parametric_intern.h,
	  alberta/src/Common/read_mesh.c, alberta/src/Common/submesh.c,
	  alberta/src/Common/wall_quad.c, alberta/src/Common/write_mesh.c,
	  alberta_util/src/msg.c, alberta_util/src/symmlq.c,
	  demo/src/Common/geomview-graphics.c: Get rid of some compiler
	  warnings.

2012-03-15 16:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/bamg2alberta/bamg2alberta.c,
	  add_ons/libalbas/src/trace_tensor_bubbles.c,
	  add_ons/libalbas/tests/stokes_bubble_d_test.c,
	  add_ons/libalbas/tests/stokes_bubble_test.c,
	  add_ons/libalbas/tests/stokes_wall_bubble_test.c,
	  add_ons/paraview/Common/alberta2paraview.c,
	  add_ons/static_condensation/src/static-condensation-dd.c,
	  add_ons/static_condensation/src/static-condensation.c,
	  alberta/src/0d/parametric_0d.c, alberta/src/1d/parametric_1d.c,
	  alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/disc_lagrange_2_3d.c, alberta/src/3d/macro_3d.c,
	  alberta/src/3d/parametric_3d.c, alberta/src/3d/submesh_3d.c,
	  alberta/src/Common/assemble-instat.c,
	  alberta/src/Common/assemble.c,
	  alberta/src/Common/assemble_bndry.c,
	  alberta/src/Common/assemble_neigh.c,
	  alberta/src/Common/dof_admin.c, alberta/src/Common/dummy.c,
	  alberta/src/Common/error.c, alberta/src/Common/evaluate.h,
	  alberta/src/Common/gauss-quad.c, alberta/src/Common/gltools.c,
	  alberta/src/Common/graphXO.c, alberta/src/Common/l2scp.c,
	  alberta/src/Common/macro.c, alberta/src/Common/memory.c,
	  alberta/src/Common/parametric.c,
	  alberta/src/Common/parametric_intern.h,
	  alberta/src/Common/read_mesh.c, alberta/src/Common/submesh.c,
	  alberta/src/Common/wall_quad.c, alberta/src/Common/write_mesh.c,
	  alberta_util/src/msg.c, alberta_util/src/symmlq.c,
	  demo/src/Common/geomview-graphics.c: Get rid of some compiler
	  warnings.

2012-03-15 16:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/bamg2alberta/bamg2alberta.c,
	  add_ons/libalbas/src/trace_tensor_bubbles.c,
	  add_ons/libalbas/tests/stokes_bubble_d_test.c,
	  add_ons/libalbas/tests/stokes_bubble_test.c,
	  add_ons/libalbas/tests/stokes_wall_bubble_test.c,
	  add_ons/paraview/Common/alberta2paraview.c,
	  add_ons/static_condensation/src/static-condensation-dd.c,
	  add_ons/static_condensation/src/static-condensation.c,
	  alberta/src/0d/parametric_0d.c, alberta/src/1d/parametric_1d.c,
	  alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/disc_lagrange_2_3d.c, alberta/src/3d/macro_3d.c,
	  alberta/src/3d/parametric_3d.c, alberta/src/3d/submesh_3d.c,
	  alberta/src/Common/assemble-instat.c,
	  alberta/src/Common/assemble.c,
	  alberta/src/Common/assemble_bndry.c,
	  alberta/src/Common/assemble_neigh.c,
	  alberta/src/Common/dof_admin.c, alberta/src/Common/dummy.c,
	  alberta/src/Common/error.c, alberta/src/Common/evaluate.h,
	  alberta/src/Common/gauss-quad.c, alberta/src/Common/gltools.c,
	  alberta/src/Common/graphXO.c, alberta/src/Common/l2scp.c,
	  alberta/src/Common/macro.c, alberta/src/Common/memory.c,
	  alberta/src/Common/parametric.c,
	  alberta/src/Common/parametric_intern.h,
	  alberta/src/Common/read_mesh.c, alberta/src/Common/submesh.c,
	  alberta/src/Common/wall_quad.c, alberta/src/Common/write_mesh.c,
	  alberta_util/src/msg.c, alberta_util/src/symmlq.c,
	  demo/src/Common/geomview-graphics.c: Get rid of some compiler
	  warnings.

2012-02-15 16:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am: automake issues.

2012-02-15 16:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/Makefile.am, configure.ac: Delete subrefinement/
	  directory.

2012-02-15 16:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am: automake issues.

2012-02-15 16:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/Makefile.am, configure.ac: Delete subrefinement/
	  directory.

2012-02-15 16:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am: automake issues.

2012-02-15 16:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/Makefile.am, configure.ac: Delete subrefinement/
	  directory.

2012-02-15 16:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am: automake issues.

2012-02-15 16:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/Makefile.am, configure.ac: Delete subrefinement/
	  directory.

2012-02-15 16:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am: automake issues.

2012-02-15 16:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/Makefile.am, configure.ac: Delete subrefinement/
	  directory.

2012-01-17 14:06  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ., ChangeLog, add_ons, alberta, alberta_util, authors.xml, demo,
	  demo/ChangeLog, doc, svn2cl-driver.sh: Admin stuff.

2012-01-17 14:06  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ., ChangeLog, add_ons, alberta, alberta_util, authors.xml, demo,
	  demo/ChangeLog, doc, svn2cl-driver.sh: Admin stuff.

2012-01-17 14:06  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ., ChangeLog, add_ons, alberta, alberta_util, authors.xml, demo,
	  demo/ChangeLog, doc, svn2cl-driver.sh: Admin stuff.

2012-01-17 14:06  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ., ChangeLog, add_ons, alberta, alberta_util, authors.xml, demo,
	  demo/ChangeLog, doc, svn2cl-driver.sh: Admin stuff.

2012-01-17 14:06  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ., ChangeLog, add_ons, alberta, alberta_util, authors.xml, demo,
	  demo/ChangeLog, doc, svn2cl-driver.sh: Admin stuff.

2012-01-17 13:56  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ChangeLog: Re-create the ChangeLog.

2012-01-17 13:55  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* svn2cl-driver.sh: Strip only /trunk/ from externals.

2012-01-17 13:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* authors.xml: Update (Stuttgart)

2012-01-13 19:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* authors.xml: Stuttgart.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_intern.h: Remove sub-ref code.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Remove sub-ref code.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump version 3.0.0

2012-01-13 14:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement: Not-working, will never be finished.

2012-01-13 13:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* NEWS: Update.

2012-01-13 13:51  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc: Re-create the 3.0 release branch.

2012-01-13 13:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util: Re-create the 3.0 release branch.

2012-01-13 13:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons: Re-create the 3.0 release branch

2012-01-13 13:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo: Re-create the 3.0 release branch.

2012-01-13 13:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* .: Remove svn:externals, will copy all directories into the
	  branch directly.

2012-01-13 13:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta: Re-create the 3.0 release branch

2012-01-13 13:43  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* .: Re-create the 3.0 release branch

2012-01-13 19:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* authors.xml: Stuttgart.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_intern.h: Remove sub-ref code.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Remove sub-ref code.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump version 3.0.0

2012-01-13 14:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement: Not-working, will never be finished.

2012-01-13 13:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* NEWS: Update.

2012-01-13 13:51  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc: Re-create the 3.0 release branch.

2012-01-13 13:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util: Re-create the 3.0 release branch.

2012-01-13 13:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons: Re-create the 3.0 release branch

2012-01-13 13:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo: Re-create the 3.0 release branch.

2012-01-13 13:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* .: Remove svn:externals, will copy all directories into the
	  branch directly.

2012-01-13 13:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta: Re-create the 3.0 release branch

2012-01-13 13:43  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* .: Re-create the 3.0 release branch

2012-01-13 19:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* authors.xml: Stuttgart.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_intern.h: Remove sub-ref code.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Remove sub-ref code.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump version 3.0.0

2012-01-13 14:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement: Not-working, will never be finished.

2012-01-13 13:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* NEWS: Update.

2012-01-13 13:51  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc: Re-create the 3.0 release branch.

2012-01-13 13:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util: Re-create the 3.0 release branch.

2012-01-13 13:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons: Re-create the 3.0 release branch

2012-01-13 13:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo: Re-create the 3.0 release branch.

2012-01-13 13:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* .: Remove svn:externals, will copy all directories into the
	  branch directly.

2012-01-13 13:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta: Re-create the 3.0 release branch

2012-01-13 13:43  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* .: Re-create the 3.0 release branch

2012-01-13 19:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* authors.xml: Stuttgart.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_intern.h: Remove sub-ref code.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Remove sub-ref code.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump version 3.0.0

2012-01-13 14:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement: Not-working, will never be finished.

2012-01-13 13:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* NEWS: Update.

2012-01-13 13:51  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc: Re-create the 3.0 release branch.

2012-01-13 13:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util: Re-create the 3.0 release branch.

2012-01-13 13:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons: Re-create the 3.0 release branch

2012-01-13 13:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo: Re-create the 3.0 release branch.

2012-01-13 13:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* .: Remove svn:externals, will copy all directories into the
	  branch directly.

2012-01-13 13:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta: Re-create the 3.0 release branch

2012-01-13 13:43  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* .: Re-create the 3.0 release branch

2012-01-13 19:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* authors.xml: Stuttgart.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_intern.h: Remove sub-ref code.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Remove sub-ref code.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump version 3.0.0

2012-01-13 14:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement: Not-working, will never be finished.

2012-01-13 13:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* NEWS: Update.

2012-01-13 13:51  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc: Re-create the 3.0 release branch.

2012-01-13 13:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util: Re-create the 3.0 release branch.

2012-01-13 13:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons: Re-create the 3.0 release branch

2012-01-13 13:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo: Re-create the 3.0 release branch.

2012-01-13 13:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* .: Remove svn:externals, will copy all directories into the
	  branch directly.

2012-01-13 13:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta: Re-create the 3.0 release branch

2012-01-13 13:43  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* .: Re-create the 3.0 release branch

2012-01-13 19:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* authors.xml: Stuttgart.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_intern.h: Remove sub-ref code.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Remove sub-ref code.

2012-01-13 14:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump version 3.0.0

2012-01-13 14:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement: Not-working, will never be finished.

2012-01-13 13:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* NEWS: Update.

2012-01-13 13:51  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc: Re-create the 3.0 release branch.

2012-01-13 13:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util: Re-create the 3.0 release branch.

2012-01-13 13:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons: Re-create the 3.0 release branch

2012-01-13 13:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo: Re-create the 3.0 release branch.

2012-01-13 13:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* .: Remove svn:externals, will copy all directories into the
	  branch directly.

2012-01-13 13:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta: Re-create the 3.0 release branch

2012-01-13 13:43  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* .: Re-create the 3.0 release branch

2012-01-13 12:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh.c: In V1.2 preserve_coarse_dofs was
	  tied to the mesh, now it is tied to the admins, which caused a
	  bug in the compat read-old-files code.

2012-01-13 12:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/macro.c, alberta/src/Common/memory.c: Disable
	  some silly buggy code pieces, manufactured by my own. Gnah.

2012-01-13 17:04  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* svn2cl-driver.sh: ChangeLog stuff.

2011-12-01 23:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in: Fix an obstack.h related
	  problem

2011-12-01 23:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Fix an obstack problem.

2011-11-04 10:40  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am.include: Problem with empty
	  archives and ar.

2011-11-04 10:39  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/bas_fct.c: Compatibility fix for reading old
	  data (lagrange0 -> disc_langrange0).

2011-11-04 10:39  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dummy.c: Problem with ar and empty archives.

2011-11-04 10:39  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh.c: Get rid of a comment.

2011-10-10 09:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh_xdr_1.2.c: Slight compat-code fixes.

2011-10-10 09:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/memory_3d.c: Fix a long-standing bug in
	  hier_edge_loop(): the neighourhood information is not necessarily
	  transitive for not-so-simple meshes, so during looping around the
	  refinement edge we need to examine sub_neigh[0/1] to catch the
	  end of the loop around the edge.

2011-08-31 12:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/paraview/Common/alberta2paraview.c: Cosmetics.

2011-08-31 12:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/1d/Makefile.in, demo/src/2d/Makefile.in,
	  demo/src/3d/Makefile.in, demo/src/4d/Makefile.in,
	  demo/src/5d/Makefile.in: Include path isssue.

2011-07-18 13:26  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/paraview/Common/alberta2paraview.c: Fix an "l" versus
	  "val_num" variable issue.

2011-07-18 13:26  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/Makefile.am: Pass the optimize-flags also to the
	  linker.

2011-07-18 13:27  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Diagonal matrix stuff was
	  somewhat broken.

2011-07-18 13:25  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/eval.c: Did not set the correct fill-flags in
	  some cases.

2011-07-18 13:25  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/bas_fct.c: Fix an error message.

2011-05-23 09:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/triangle2alberta/triangle2alberta.c: spurious f.

2011-05-23 08:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Undo a beginners bug introduced by
	  myself ...

2011-03-25 08:10  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Yet another silly bug ...

2011-03-25 08:04  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Undo a silly typo.

2011-03-04 18:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/sub-refinement.c,
	  alberta/src/Common/alberta_intern.h, alberta/src/Common/memory.c:
	  Start folding the sub-ref code into the library; each level of
	  sub-refinement will be presented by an ordinary mesh-structure in
	  order to make the necessary changes as transparent as possible.

2011-03-04 10:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/sub-refinement.c: DOF-inheritance
	  finished. A real ugly piece of code. Combinatorics ...

2011-03-04 18:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/sub-refinement.c,
	  alberta/src/Common/alberta_intern.h, alberta/src/Common/memory.c:
	  Start folding the sub-ref code into the library; each level of
	  sub-refinement will be presented by an ordinary mesh-structure in
	  order to make the necessary changes as transparent as possible.

2011-03-04 18:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/lagrange_4_3d.c: Add a comment.

2011-03-03 17:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/sub-refinement.c: Slight update towards
	  3d.

2011-03-03 14:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement: Ignore Makefile.in.

2011-03-03 14:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/tensor_wall_bubbles.c,
	  add_ons/libalbas/src/wall_bubbles.c,
	  alberta/src/2d/lagrange_2_2d.c, alberta/src/2d/lagrange_3_2d.c,
	  alberta/src/2d/lagrange_4_2d.c, alberta/src/3d/lagrange_2_3d.c,
	  alberta/src/Common/memory.c: While progressing from 1.2 to 2.0
	  the node types enumeration order was changed from
	  
	  VERTEX EDGE FACE CENTER
	  
	  to
	  
	  VERTEX CENTER EDGE FACE
	  
	  in order to make sure that the two entities which are present in
	  each dimension would come first. Unfortunately, the ordering of
	  DOFs in the element was not changed accordingly. Correct this
	  bug.

2011-03-03 13:02  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/sub-refinement.c: Sync.

2011-03-03 14:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/tensor_wall_bubbles.c,
	  add_ons/libalbas/src/wall_bubbles.c,
	  alberta/src/2d/lagrange_2_2d.c, alberta/src/2d/lagrange_3_2d.c,
	  alberta/src/2d/lagrange_4_2d.c, alberta/src/3d/lagrange_2_3d.c,
	  alberta/src/Common/memory.c: While progressing from 1.2 to 2.0
	  the node types enumeration order was changed from
	  
	  VERTEX EDGE FACE CENTER
	  
	  to
	  
	  VERTEX CENTER EDGE FACE
	  
	  in order to make sure that the two entities which are present in
	  each dimension would come first. Unfortunately, the ordering of
	  DOFs in the element was not changed accordingly. Correct this
	  bug.

2011-03-03 14:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/traverse_nr_2d.c: enlargen_traverse_stack() ->
	  __AI_enlargen_traverse_stack().

2011-03-03 14:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/element_3d.c: Typo in comment.

2011-03-03 14:07  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h: Add a comment.

2011-03-03 14:06  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/traverse_nr.c: stack->level ->
	  stack->traverse_level.

2011-03-03 14:06  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_intern.h: Cosmetics.

2011-03-03 14:06  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/traverse_nr_3d.c: enlargen_traverse_stack() ->
	  __AI_enlargen_traverse_stack() and export.

2011-03-03 14:06  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/traverse_nr_1d.c: enlargen_traverse_stack() ->
	  __AI_enlargen_traverse_stack() and export.

2011-03-02 17:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/sub-refinement.c: Slight progress moving
	  towards fe-spaces (3d progress, not finished).

2011-03-02 13:06  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/sub-refinement.c,
	  add_ons/sub_refinement/sub-refinement.h: Slight progress moving
	  towards fe-spaces.

2011-03-02 12:22  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/sub-refinement.c: Cosmetics.

2011-02-28 15:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/triangle2alberta/mybox.poly,
	  add_ons/triangle2alberta/square-with-hole.poly: Renamed.

2011-02-28 15:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/triangle2alberta/mybox.poly: Fix command line.

2011-02-28 14:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/triangle2alberta/README,
	  add_ons/triangle2alberta/mybox.poly,
	  add_ons/triangle2alberta/triangle2alberta.c: Add some comments,
	  an example ....

2011-02-24 13:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/sub-refinement.c: Sync with home.

2011-02-23 17:32  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/README,
	  add_ons/sub_refinement/refinement3d.mw,
	  add_ons/sub_refinement/sub-refinement.c,
	  add_ons/sub_refinement/sub-refinement.h: Start implementing
	  admins.

2011-02-23 17:31  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Blah.

2011-02-15 15:05  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/eval-tools.tex: Yet another out-of-sync case.

2011-02-15 14:26  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/eval-tools.tex: Slight improvements.

2011-02-15 15:05  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/eval-tools.tex: Yet another out-of-sync case.

2011-02-15 14:26  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/eval-tools.tex: Slight improvements.

2011-02-14 15:56  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/sub-refinement.c,
	  add_ons/sub_refinement/sub-refinement.h: Blah.

2011-02-14 15:55  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/Tetrahedron.fcstd: Blah.

2011-02-14 15:56  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/bas-impl.tex: Add a note on BAS_FCTS::trace_admin.

2011-02-14 15:56  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/bas-impl.tex: Add a note on BAS_FCTS::trace_admin.

2011-02-08 17:27  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/sub-refinement.c: Start working on 3d
	  code, will probably need a vertex admin.

2011-02-08 17:26  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/Tetrahedron.fcstd: Initial.

2011-02-08 17:26  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/traverse_r_2d.c: Commejt.

2011-02-07 18:47  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/sub-refinement.c: 3d stuff needs work.

2011-02-07 16:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/element_2d.c, alberta/src/3d/element_3d.c: Bug in
	  element_3d.c:wall_real_orientation_3d(): one of the permuationes
	  was computed wrong.

2011-02-03 18:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/sub-refinement.c: Prepare for global
	  sub-refinement.

2011-02-03 17:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/Makefile.am,
	  add_ons/sub_refinement/sub-refinement.c,
	  add_ons/sub_refinement/sub-refinement.h,
	  alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/traverse_nr.c: Prepare for global
	  sub-refinement.

2011-02-03 17:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement/Makefile.am,
	  add_ons/sub_refinement/sub-refinement.c,
	  add_ons/sub_refinement/sub-refinement.h,
	  alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/traverse_nr.c: Prepare for global
	  sub-refinement.

2011-02-03 17:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h: Comment, new proto.

2011-01-18 16:47  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/eval-tools.tex: Sync (some aspects ...) with the current
	  status of the library.

2011-01-18 16:47  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/eval-tools.tex: Sync (some aspects ...) with the current
	  status of the library.

2010-12-22 10:56  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/mesh-impl.tex, doc/submesh-impl.tex, doc/traverse-impl.tex:
	  Document FILL_MASTER_INFO, FILL_MASTER_NEIGH and add a note on
	  get_master_el(), which has been removed in favour of those two
	  fill-flags.

2010-12-22 10:56  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/mesh-impl.tex, doc/submesh-impl.tex, doc/traverse-impl.tex:
	  Document FILL_MASTER_INFO, FILL_MASTER_NEIGH and add a note on
	  get_master_el(), which has been removed in favour of those two
	  fill-flags.

2010-12-22 10:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am: Add the feature and porting docs `HOWTO-port-ellipt'
	  and `README-ALBERTA-1.2'

2010-11-18 15:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/2d/Makefile.am,
	  add_ons/block_solve/demo/Common/stokes.c,
	  add_ons/block_solve/src/Makefile.am,
	  add_ons/block_solve/src/oem_block_solve.c,
	  add_ons/block_solve/src/oem_block_solve.h,
	  add_ons/geomview/Makefile.am, add_ons/geomview/alberta2oogl.c,
	  add_ons/gmv/Common/alberta2gmv.c,
	  add_ons/grape/mesh/2d/mesh_interface.c,
	  add_ons/grape/mesh/3d/mesh_interface.c,
	  add_ons/grape/mesh/Common/alberta_grape.c,
	  add_ons/grape/mesh/Common/alberta_movi.c,
	  add_ons/libalbas/src/Makefile.am, add_ons/libalbas/src/albas.h,
	  add_ons/libalbas/tests/alberta-demo.h,
	  add_ons/libalbas/tests/graphics.c,
	  add_ons/libalbas/tests/graphics.h,
	  add_ons/libalbas/tests/stokes_bubble_d_test.c,
	  add_ons/libalbas/tests/stokes_bubble_test.c,
	  add_ons/libalbas/tests/stokes_wall_bubble_test.c,
	  add_ons/paraview/Common/alberta2paraview.c,
	  add_ons/static_condensation/demo/2d/Makefile.am,
	  add_ons/static_condensation/demo/3d/Makefile.am,
	  add_ons/static_condensation/demo/Common/mini-quasi-stokes.c,
	  add_ons/static_condensation/demo/Common/mini-stokes.c,
	  add_ons/static_condensation/src/Makefile.am,
	  add_ons/static_condensation/src/static-condensation-dd.c,
	  add_ons/static_condensation/src/static-condensation.c,
	  add_ons/triangle2alberta/Makefile.am,
	  add_ons/triangle2alberta/triangle2alberta.c,
	  alberta/src/Common/Makefile.alberta.in,
	  alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/dof_chains.h, alberta/src/Common/el_vec.h,
	  alberta/src/Common/evaluate.h, alberta/tests/alberta-demo.h,
	  alberta/tests/graphics.c, alberta/tests/graphics.h,
	  alberta_util/src/Makefile.am,
	  alberta_util/src/alberta_util.h.in.in, albertadist/Makefile.am,
	  albertadist/configure.ac, albertadist/install-pkgheader.sh,
	  albertadist/m4/grapeiface.m4: Change the standard include stuff
	  from `#include <alberta.h>' to `#include <alberta/alberta.h>'

2010-11-18 15:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/1d/Makefile.in, demo/src/2d/Makefile.in,
	  demo/src/3d/Makefile.in, demo/src/3d/ellipt-moebius.c,
	  demo/src/3d/ellipt2.c, demo/src/4d/Makefile.in,
	  demo/src/4d/ellipt-klein-bottle.c, demo/src/5d/Makefile.in,
	  demo/src/Common/alberta-demo.h,
	  demo/src/Common/ellipt-isoparam.c,
	  demo/src/Common/ellipt-periodic.c,
	  demo/src/Common/ellipt-sphere.c,
	  demo/src/Common/geomview-graphics.c, demo/src/Common/graphics.c,
	  demo/src/Common/graphics.h, demo/src/Common/heat-easy.c,
	  demo/src/Common/heat.c, demo/src/Common/nonlin.h,
	  demo/src/Common/quasi-stokes.c, demo/src/Common/stokes.c: Change
	  the standard include stuff from `#include <alberta.h>' to
	  `#include <alberta/alberta.h>'

2010-11-18 15:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/2d/Makefile.am,
	  add_ons/block_solve/demo/Common/stokes.c,
	  add_ons/block_solve/src/Makefile.am,
	  add_ons/block_solve/src/oem_block_solve.c,
	  add_ons/block_solve/src/oem_block_solve.h,
	  add_ons/geomview/Makefile.am, add_ons/geomview/alberta2oogl.c,
	  add_ons/gmv/Common/alberta2gmv.c,
	  add_ons/grape/mesh/2d/mesh_interface.c,
	  add_ons/grape/mesh/3d/mesh_interface.c,
	  add_ons/grape/mesh/Common/alberta_grape.c,
	  add_ons/grape/mesh/Common/alberta_movi.c,
	  add_ons/libalbas/src/Makefile.am, add_ons/libalbas/src/albas.h,
	  add_ons/libalbas/tests/alberta-demo.h,
	  add_ons/libalbas/tests/graphics.c,
	  add_ons/libalbas/tests/graphics.h,
	  add_ons/libalbas/tests/stokes_bubble_d_test.c,
	  add_ons/libalbas/tests/stokes_bubble_test.c,
	  add_ons/libalbas/tests/stokes_wall_bubble_test.c,
	  add_ons/paraview/Common/alberta2paraview.c,
	  add_ons/static_condensation/demo/2d/Makefile.am,
	  add_ons/static_condensation/demo/3d/Makefile.am,
	  add_ons/static_condensation/demo/Common/mini-quasi-stokes.c,
	  add_ons/static_condensation/demo/Common/mini-stokes.c,
	  add_ons/static_condensation/src/Makefile.am,
	  add_ons/static_condensation/src/static-condensation-dd.c,
	  add_ons/static_condensation/src/static-condensation.c,
	  add_ons/triangle2alberta/Makefile.am,
	  add_ons/triangle2alberta/triangle2alberta.c,
	  alberta/src/Common/Makefile.alberta.in,
	  alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/dof_chains.h, alberta/src/Common/el_vec.h,
	  alberta/src/Common/evaluate.h, alberta/tests/alberta-demo.h,
	  alberta/tests/graphics.c, alberta/tests/graphics.h,
	  alberta_util/src/Makefile.am,
	  alberta_util/src/alberta_util.h.in.in, albertadist/Makefile.am,
	  albertadist/configure.ac, albertadist/install-pkgheader.sh,
	  albertadist/m4/grapeiface.m4: Change the standard include stuff
	  from `#include <alberta.h>' to `#include <alberta/alberta.h>'

2010-11-18 15:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/2d/Makefile.am,
	  add_ons/block_solve/demo/Common/stokes.c,
	  add_ons/block_solve/src/Makefile.am,
	  add_ons/block_solve/src/oem_block_solve.c,
	  add_ons/block_solve/src/oem_block_solve.h,
	  add_ons/geomview/Makefile.am, add_ons/geomview/alberta2oogl.c,
	  add_ons/gmv/Common/alberta2gmv.c,
	  add_ons/grape/mesh/2d/mesh_interface.c,
	  add_ons/grape/mesh/3d/mesh_interface.c,
	  add_ons/grape/mesh/Common/alberta_grape.c,
	  add_ons/grape/mesh/Common/alberta_movi.c,
	  add_ons/libalbas/src/Makefile.am, add_ons/libalbas/src/albas.h,
	  add_ons/libalbas/tests/alberta-demo.h,
	  add_ons/libalbas/tests/graphics.c,
	  add_ons/libalbas/tests/graphics.h,
	  add_ons/libalbas/tests/stokes_bubble_d_test.c,
	  add_ons/libalbas/tests/stokes_bubble_test.c,
	  add_ons/libalbas/tests/stokes_wall_bubble_test.c,
	  add_ons/paraview/Common/alberta2paraview.c,
	  add_ons/static_condensation/demo/2d/Makefile.am,
	  add_ons/static_condensation/demo/3d/Makefile.am,
	  add_ons/static_condensation/demo/Common/mini-quasi-stokes.c,
	  add_ons/static_condensation/demo/Common/mini-stokes.c,
	  add_ons/static_condensation/src/Makefile.am,
	  add_ons/static_condensation/src/static-condensation-dd.c,
	  add_ons/static_condensation/src/static-condensation.c,
	  add_ons/triangle2alberta/Makefile.am,
	  add_ons/triangle2alberta/triangle2alberta.c,
	  alberta/src/Common/Makefile.alberta.in,
	  alberta/src/Common/Makefile.am.include,
	  alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/dof_chains.h, alberta/src/Common/el_vec.h,
	  alberta/src/Common/evaluate.h, alberta/tests/alberta-demo.h,
	  alberta/tests/graphics.c, alberta/tests/graphics.h,
	  alberta_util/src/Makefile.am,
	  alberta_util/src/alberta_util.h.in.in, albertadist/Makefile.am,
	  albertadist/configure.ac, albertadist/install-pkgheader.sh,
	  albertadist/m4/grapeiface.m4: Change the standard include stuff
	  from `#include <alberta.h>' to `#include <alberta/alberta.h>'

2010-11-18 17:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am, configure.ac, install-pkgheader.sh: Distcheck might
	  run now, maybe ...

2010-11-18 15:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am, configure.ac, install-pkgheader.sh,
	  m4/grapeiface.m4: Change the standard include stuff from
	  `#include <alberta.h>' to `#include <alberta/alberta.h>'

2010-10-27 13:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* blah: blahblah

2010-10-27 13:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* blah: blahblah

2010-10-27 13:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* blah: blah

2010-10-27 13:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* blah: agshklfgakjla

2010-10-11 11:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/2d/Makefile.am,
	  add_ons/static_condensation/demo/2d/Makefile.am,
	  add_ons/static_condensation/demo/3d/Makefile.am,
	  alberta/tests/Makefile.am: See that --without-graphics works.

2010-10-11 13:04  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/Makefile.am: undo a bogus rename

2010-10-11 11:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/Makefile.am: Rename the library to
	  libalberta_utilities in order to avoid name-clashes with older
	  ALBERTA installations.

2010-10-11 11:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/2d/Makefile.am,
	  add_ons/static_condensation/demo/2d/Makefile.am,
	  add_ons/static_condensation/demo/3d/Makefile.am,
	  alberta/tests/Makefile.am: See that --without-graphics works.

2010-10-11 11:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* mksnap.sh: Add working path info for OS X.

2010-10-11 11:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* m4/grapeiface.m4: Remove octett blah stuff mime-idiotic type

2010-09-29 17:07  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/diag_precon.c, alberta/src/Common/dof_admin.c:
	  Newly introduced diagonal matrix support was somewhat broken,
	  pre-conditioners still need some polishing, but should work,
	  basically.

2010-06-24 13:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Define OSX=true when running on macosx

2010-06-24 13:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* m4/opengl.m4: Use /usr/X11R6/include per default on OS X.

2010-06-24 13:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* mksnap.sh: More tweaks for OS X.

2010-06-21 15:02  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/1d/Makefile.in, demo/src/2d/Makefile.in,
	  demo/src/3d/Makefile.in, demo/src/4d/Makefile.in,
	  demo/src/5d/Makefile.in: Some systems do need ranlib .... MACOSX

2010-06-21 14:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/coarsen_2d.c, alberta/src/2d/element_2d.c,
	  alberta/src/2d/memory_2d.c, alberta/src/2d/parametric_2d.c,
	  alberta/src/2d/refine_2d.c, alberta/src/2d/traverse_r_2d.c: Get
	  rid of "Deutsche Umlaute".

2010-06-21 14:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/submesh_2d.c, alberta/src/3d/submesh_3d.c: Fill in
	  el_info.master when building the co-dimension 1 refinement patch.

2010-06-19 10:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/macro.c: Deal with proto-types for
	  xdrrec_create() on OS X.

2010-06-19 10:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/ilu_k_precon.c: Use isfinite() instead of
	  finite().

2010-06-19 10:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble_bndry_fcts.c.in,
	  alberta/src/Common/assemble_fcts.c.in: Some of the utAv functions
	  were broken (mixing of vector valued and scalar basis functions).

2010-06-19 10:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_intern.h: Include stdio.h (OS X needs
	  it).

2010-06-19 10:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/SSOR_precon.c: Use isfinite(), not finit().

2010-06-19 10:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/lagrange_4_1d.c: Typo (higher derivative, did not
	  matter)

2010-06-19 10:10  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/element_1d.c: Unused variable.

2010-06-19 10:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* m4/gltools.m4: OpenGL include stuff on OS X.

2010-06-19 10:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Adjust the email address.

2010-06-17 15:47  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/triangle2alberta: svn:ignore Makefile.in

2010-06-17 15:47  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/src/Makefile.am,
	  add_ons/libalbas/src/Makefile.am,
	  add_ons/static_condensation/src/Makefile.am,
	  alberta/src/Common/Makefile.am.include, albertadist/configure.ac,
	  albertadist/m4/grapeiface.m4, albertadist/m4/opengl.m4: Mac OS X
	  fixes.

2010-06-17 15:47  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/src/Makefile.am,
	  add_ons/libalbas/src/Makefile.am,
	  add_ons/static_condensation/src/Makefile.am,
	  alberta/src/Common/Makefile.am.include, albertadist/configure.ac,
	  albertadist/m4/grapeiface.m4, albertadist/m4/opengl.m4: Mac OS X
	  fixes.

2010-06-17 15:47  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac, m4/grapeiface.m4, m4/opengl.m4: Mac OS X fixes.

2010-04-29 10:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* svn-switch.sh: Relocate script.

2010-04-29 09:55  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* .: Changed the svn:externals definition to use relative paths.

2010-03-19 16:35  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* alberta/src/1d/element_1d.c: fixed a bug which prevented
	  world_to_coord from returning the correct index k

2010-03-10 10:23  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* alberta/src/1d/element_1d.c: Fixed check for length (in case the
	  mesh is embedded in 2d)

2010-03-02 13:07  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* alberta/src/1d/element_1d.c: fixed stupid mistake

2010-01-20 06:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c: scanf versus sscanf bug.

2010-01-20 06:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/numint.c: Fix an optimization attempt.

2010-01-20 06:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Remove one overkill
	  DEBUG_TEST_EXIT().

2010-01-18 21:57  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template: Revert back to not adding the gfx support
	  libraries to LIBADD. Breaks when merging shared and non-shared
	  libraries.

2010-01-18 21:57  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* m4/opendx.m4: Adjust the search path for the libraries.

2010-01-11 10:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/MG_s2.c: Fix a bug reported by Robert
	  Nuernberg.

2010-01-10 12:26  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/read_mesh.c, alberta/src/Common/write_mesh.c,
	  alberta/src/Common/write_mesh_gmv.c: Get rid of warning caused by
	  "fortified" gcc versions.

2010-01-10 12:25  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Fix a bug concerning Dirichlet
	  nodes and diagonal matrix stuff.

2009-10-14 14:41  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* add_ons/bamg2alberta/bamg2alberta.c: - local indices are being
	  reordered now so alberta bisects the longest edge of the element
	  instead of some edge arbitrarily chosen by bamg
	  
	  - made the output prettier

2009-09-21 14:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/macro_2d.c: Only try to correct opp_vertex
	  numbering if md->opp_vertex != NULL.

2009-08-31 07:37  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Diagonal matrices need a special
	  refine_interpol() hook.

2009-08-26 13:54  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/coarsen_2d.c, alberta/src/3d/coarsen_3d.c,
	  alberta/src/3d/refine_3d.c: Counts for sub-simplices were wrong
	  on periodic meshes.

2009-08-26 13:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ChangeLog: Update.

2009-08-25 09:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Erroneous union access.

2009-08-24 13:57  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Typo.

2009-08-24 11:54  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h: Faulty return type.

2009-08-20 06:41  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_chains.h: "parenthize" macro arguments.

2009-08-18 11:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util_inlines.h.in.in: Use USE_LIBBLAS
	  not HAVE_LIBBLAS to reflect the --without-blas status.

2009-08-18 11:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c, alberta/src/Common/memory.c: Be
	  careful with "chain-matrix slices" and some support for caching
	  the inverse matrix diagonal.

2009-08-18 11:27  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h: DOF_MATRIX: cache entry for the
	  inverse diagonal.

2009-08-18 11:26  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h: Slightly improve
	  MINVERT_DOW, maybe.

2009-08-16 14:57  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/paraview/Common/alberta2paraview.c: Cosmetics.

2009-08-16 14:57  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bulk_trace_tensor_bubbles.c: Cope with a
	  faulty bounds-checking compiler warning.

2009-08-16 14:56  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/Makefile.am,
	  alberta/src/Common/Makefile.alberta.in,
	  alberta/src/alberta_Nd/Makefile.am,
	  alberta/src/alberta_Nd_debug/Makefile.am,
	  alberta/src/alberta_Nd_profile/Makefile.am,
	  alberta_util/src/Makefile.am, albertadist/Makefile.am.template:
	  Some build-system fixes. Also, add the dependency libraries to
	  ..._LIBADD s.t. libtool can do its job.

2009-08-16 20:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util_inlines.h.in.in,
	  albertadist/configure.ac: Remove expy, xpay and mxpy.

2009-08-16 14:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util_inlines.h.in.in,
	  albertadist/configure.ac: Fix the usage/non-usage of an external
	  blas library.

2009-08-16 14:56  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/Makefile.am,
	  alberta/src/Common/Makefile.alberta.in,
	  alberta/src/alberta_Nd/Makefile.am,
	  alberta/src/alberta_Nd_debug/Makefile.am,
	  alberta/src/alberta_Nd_profile/Makefile.am,
	  alberta_util/src/Makefile.am, albertadist/Makefile.am.template:
	  Some build-system fixes. Also, add the dependency libraries to
	  ..._LIBADD s.t. libtool can do its job.

2009-08-16 13:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/divers.c: Remove that VOID_LIST stuff.

2009-08-16 13:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alloc.c: Rework parts of the malloc stuff.

2009-08-16 13:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in,
	  alberta_util/src/alberta_util_inlines.h.in.in: Rework parts of
	  the malloc stuff, add #line directives.

2009-08-16 14:57  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/parametric.c: Cope with a faulty
	  bounds-checking compiler warning.

2009-08-16 14:56  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/Makefile.am,
	  alberta/src/Common/Makefile.alberta.in,
	  alberta/src/alberta_Nd/Makefile.am,
	  alberta/src/alberta_Nd_debug/Makefile.am,
	  alberta/src/alberta_Nd_profile/Makefile.am,
	  alberta_util/src/Makefile.am, albertadist/Makefile.am.template:
	  Some build-system fixes. Also, add the dependency libraries to
	  ..._LIBADD s.t. libtool can do its job.

2009-08-16 13:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/submesh.c: Make sure the
	  trace_to_bulk_coords() functions are always defined.

2009-08-16 13:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/parametric.c: Array bounds.

2009-08-16 13:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/macro.c: Cosmetics.

2009-08-16 20:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Remove expy, xpay and mxpy.

2009-08-16 14:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Fix the usage/non-usage of an external blas
	  library.

2009-08-16 14:57  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* m4/check-package.m4: Comment change.

2009-08-16 14:56  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template: Some build-system fixes. Also, add the
	  dependency libraries to ..._LIBADD s.t. libtool can do its job.

2009-08-15 12:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/SSOR_precon.c, alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/assemble.c,
	  alberta/src/Common/assemble_bndry.c,
	  alberta/src/Common/assemble_bndry.h,
	  alberta/src/Common/assemble_fcts.c.in,
	  alberta/src/Common/assemble_neigh.c,
	  alberta/src/Common/block_precon.c,
	  alberta/src/Common/crs_matrix.c, alberta/src/Common/crs_matrix.h,
	  alberta/src/Common/diag_precon.c,
	  alberta/src/Common/dof_chains.h, alberta/src/Common/el_vec.h,
	  alberta/src/Common/estimator.c,
	  alberta/src/Common/estimator_dowb.c, alberta/src/Common/eval.c,
	  alberta/src/Common/ilu_k_precon.c, alberta/src/Common/l2scp.c,
	  alberta/src/Common/oem_solve.c,
	  alberta/src/Common/parametric_intern.h,
	  alberta/src/Common/quad_cache.c, alberta/src/Common/submesh.c:
	  Update the time-stamps to 2009.

2009-08-14 16:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bubble.c,
	  add_ons/libalbas/src/bulk_trace_bubble.c,
	  add_ons/libalbas/src/bulk_trace_tensor_bubbles.c,
	  add_ons/libalbas/src/mini-Xd.c, add_ons/libalbas/src/null.c,
	  add_ons/libalbas/src/raviart_thomas.c,
	  add_ons/libalbas/src/tensor_wall_bubbles.c,
	  add_ons/libalbas/src/trace_bubble.c,
	  add_ons/libalbas/src/trace_tensor_bubbles.c,
	  add_ons/libalbas/src/wall_bubbles.c, alberta/src/0d/bas_fct_0d.c,
	  alberta/src/1d/disc-ortho-poly.c.h,
	  alberta/src/1d/disc_lagrange_0_1d.c,
	  alberta/src/1d/disc_lagrange_1_1d.c,
	  alberta/src/1d/disc_lagrange_2_1d.c,
	  alberta/src/1d/lagrange_1_1d.c, alberta/src/1d/lagrange_2_1d.c,
	  alberta/src/1d/lagrange_3_1d.c, alberta/src/1d/lagrange_4_1d.c,
	  alberta/src/2d/disc-ortho-poly.c.h,
	  alberta/src/2d/disc_lagrange_0_2d.c,
	  alberta/src/2d/disc_lagrange_1_2d.c,
	  alberta/src/2d/disc_lagrange_2_2d.c,
	  alberta/src/2d/lagrange_1_2d.c, alberta/src/2d/lagrange_2_2d.c,
	  alberta/src/2d/lagrange_3_2d.c, alberta/src/2d/lagrange_4_2d.c,
	  alberta/src/3d/disc-ortho-poly.c.h,
	  alberta/src/3d/disc_lagrange_0_3d.c,
	  alberta/src/3d/disc_lagrange_1_3d.c,
	  alberta/src/3d/disc_lagrange_2_3d.c,
	  alberta/src/3d/lagrange_1_3d.c, alberta/src/3d/lagrange_2_3d.c,
	  alberta/src/3d/lagrange_3_3d.c, alberta/src/3d/lagrange_4_3d.c,
	  alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/bas_fct.c, alberta/src/Common/diag_precon.c,
	  alberta/src/Common/dof_admin.c, alberta/src/Common/el_vec.h,
	  alberta/src/Common/memory.c: Support for DOF_REAL_DD_VEC
	  containers. Optimize for diagonal DOF_MATRIXes, e.g. resulting
	  from an element bubble.

2009-08-14 16:27  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/SSOR_precon.c,
	  alberta/src/Common/ilu_k_precon.c: Resort to diagonal
	  preconditioning for diagonal matrices.

2009-08-14 16:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bubble.c,
	  add_ons/libalbas/src/bulk_trace_bubble.c,
	  add_ons/libalbas/src/bulk_trace_tensor_bubbles.c,
	  add_ons/libalbas/src/mini-Xd.c, add_ons/libalbas/src/null.c,
	  add_ons/libalbas/src/raviart_thomas.c,
	  add_ons/libalbas/src/tensor_wall_bubbles.c,
	  add_ons/libalbas/src/trace_bubble.c,
	  add_ons/libalbas/src/trace_tensor_bubbles.c,
	  add_ons/libalbas/src/wall_bubbles.c, alberta/src/0d/bas_fct_0d.c,
	  alberta/src/1d/disc-ortho-poly.c.h,
	  alberta/src/1d/disc_lagrange_0_1d.c,
	  alberta/src/1d/disc_lagrange_1_1d.c,
	  alberta/src/1d/disc_lagrange_2_1d.c,
	  alberta/src/1d/lagrange_1_1d.c, alberta/src/1d/lagrange_2_1d.c,
	  alberta/src/1d/lagrange_3_1d.c, alberta/src/1d/lagrange_4_1d.c,
	  alberta/src/2d/disc-ortho-poly.c.h,
	  alberta/src/2d/disc_lagrange_0_2d.c,
	  alberta/src/2d/disc_lagrange_1_2d.c,
	  alberta/src/2d/disc_lagrange_2_2d.c,
	  alberta/src/2d/lagrange_1_2d.c, alberta/src/2d/lagrange_2_2d.c,
	  alberta/src/2d/lagrange_3_2d.c, alberta/src/2d/lagrange_4_2d.c,
	  alberta/src/3d/disc-ortho-poly.c.h,
	  alberta/src/3d/disc_lagrange_0_3d.c,
	  alberta/src/3d/disc_lagrange_1_3d.c,
	  alberta/src/3d/disc_lagrange_2_3d.c,
	  alberta/src/3d/lagrange_1_3d.c, alberta/src/3d/lagrange_2_3d.c,
	  alberta/src/3d/lagrange_3_3d.c, alberta/src/3d/lagrange_4_3d.c,
	  alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/bas_fct.c, alberta/src/Common/diag_precon.c,
	  alberta/src/Common/dof_admin.c, alberta/src/Common/el_vec.h,
	  alberta/src/Common/memory.c: Support for DOF_REAL_DD_VEC
	  containers. Optimize for diagonal DOF_MATRIXes, e.g. resulting
	  from an element bubble.

2009-08-14 02:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble.c,
	  alberta/src/Common/assemble_bndry.c,
	  alberta/src/Common/assemble_neigh.c: Some fixes for
	  unify_op_info().

2009-08-14 02:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/quad_cache.c: Some more flatten/inline stuff
	  and some branch-prob hints. Relax the memory consumption
	  somewhat.

2009-08-13 22:39  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/numint.c,
	  alberta_util/src/alberta_util.h.in.in: Some more flatten/inline
	  stuff and some branch-prob hints.

2009-08-13 12:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in: Typo (MAT_CLAR ->
	  MAT_CLEAR).

2009-08-13 22:39  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h,
	  alberta/src/Common/numint.c,
	  alberta_util/src/alberta_util.h.in.in: Some more flatten/inline
	  stuff and some branch-prob hints.

2009-08-13 18:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/ilu_k_precon.c: Bug fixes.

2009-08-13 18:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/ilu_k_precon.c: Avoid some 2nd-level indirect
	  array accesses. Does not seem to have any effect, though.

2009-08-13 18:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/crs_matrix.c, alberta/src/Common/crs_matrix.h:
	  No need for Pbuf.

2009-08-13 18:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/bas_fct.c: Some defs moved to alberta.h

2009-08-13 18:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble_fcts.c.in: Use FORCE_INLINE_ATTR in
	  some places.

2009-08-13 18:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h: Export add_bas_fcts_plugin().

2009-08-13 15:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/ilu_k_precon.c: Cosmetics.

2009-08-13 13:57  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/crs_matrix.c, alberta/src/Common/crs_matrix.h,
	  alberta/src/Common/ilu_k_precon.c: Permutated triangular solve:
	  use a deblock buffer to be more cache-friendly

2009-08-13 13:56  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/numint.c: Some fixes for the previously
	  introduced optimizations.

2009-08-13 12:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/numint.c: Look at the degree of the basis
	  functions when recomputing the caches.

2009-08-13 10:43  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/ilu_k_precon.c: The ILU(k) preconditioner
	  should be overhauled ...

2009-08-13 10:42  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_inlines.h: New function MVEQ_DOW()
	  which -- in contrast to MV_DOW() -- does not operator additive.

2009-08-13 08:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/el_vec.h: Some BLAS stuff for element vectors.

2009-08-12 15:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Change the help message for the
	  --enable-fortran-blas switch

2009-08-10 15:55  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h, alberta/src/Common/submesh.c: New
	  function trace_to_bulk_coords() to aid the evaluation of
	  functions defined in the bulk on the trace mesh.

2009-08-10 06:36  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/quad_cache.c: Proper reordering of the loops
	  in compute_....() gave somewhat of a performance boost, which is
	  of importance if the caches have to be updated because basis
	  functions and/or quadratures are element dependent.

2009-08-10 06:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h, alberta/src/Common/l2scp.c: New
	  function robin_bound_matrix_info() -- only fill an EL_MATRIX_INFO
	  control structure for assembling of RBC, but do not update the
	  matrix.

2009-08-09 14:22  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in: Typo in comment.

2009-08-09 14:22  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Improve some debugging facilities.

2009-08-09 14:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/el_vec.h: Cosmetics.

2009-08-09 14:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Finally get dof_matrix_copy()
	  right.

2009-08-09 14:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble.c,
	  alberta/src/Common/assemble_bndry.c,
	  alberta/src/Common/assemble_neigh.c: unify_op_info(): initialize
	  some more components to sane default valus (matters only if the
	  application provides uninitialized data).

2009-08-07 18:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/quad_cache.c: Fix yet another bug. Primarily
	  caused by the somewhat fancy reverse-ordering of the
	  PSI_PIH[_ETA] caches.

2009-08-07 15:41  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h, alberta/src/Common/dof_admin.c: New
	  function dof_matrix_copy().

2009-08-06 07:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble_fcts.c.in: adv_quad_11(): forgot to
	  compute Lb0/Lb1 in some places.

2009-08-06 06:56  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h: BNDRY_OPERATOR_INFO:
	  advection_field re-enabled for internal reasons.

2009-08-06 06:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h: BNDRY_OPERATOR_INFO:
	  advection_field stuff commented out (not used yet).

2009-08-05 07:41  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta, alberta/src/Common/assemble.c,
	  alberta/src/Common/assemble_bndry.c,
	  alberta/src/Common/assemble_neigh.c: Make use of the new
	  QUAD_TENSOR component.

2009-08-03 08:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alloc.c: alberta_3array was broken.

2009-08-03 12:47  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble.c: Fix handling of
	  fill_info->adv_coeffs.

2009-08-03 12:47  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble_fcts.c.in: Fix some typos (q100 <->
	  q010)

2009-08-03 08:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/quad_cache.c: Fix some array allocations.

2009-08-03 07:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble.c: Fix an off-by-one index bug.

2009-08-03 07:04  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble.c: Cosmetics.

2009-08-02 16:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/assemble.c, alberta/src/Common/assemble.h,
	  alberta/src/Common/assemble_fcts.c.in,
	  alberta/src/Common/assemble_fcts.h.in,
	  alberta/src/Common/dof_chains.h, alberta/src/Common/numint.c,
	  alberta/src/Common/quad_cache.c,
	  alberta_util/src/alberta_util.h.in.in, alberta_util/src/alloc.c,
	  albertadist/Makefile.am.template, albertadist/configure.ac,
	  albertadist/gen-assemble-fcts.sh: Preliminary support for
	  tri-linear forms stemming from advection terms. Probably needs
	  more work, but should give virtually every problem with material
	  derivatives a performance BOOOOOOST. Hopefully.

2009-08-02 16:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/assemble.c, alberta/src/Common/assemble.h,
	  alberta/src/Common/assemble_fcts.c.in,
	  alberta/src/Common/assemble_fcts.h.in,
	  alberta/src/Common/dof_chains.h, alberta/src/Common/numint.c,
	  alberta/src/Common/quad_cache.c,
	  alberta_util/src/alberta_util.h.in.in, alberta_util/src/alloc.c,
	  albertadist/Makefile.am.template, albertadist/configure.ac,
	  albertadist/gen-assemble-fcts.sh: Preliminary support for
	  tri-linear forms stemming from advection terms. Probably needs
	  more work, but should give virtually every problem with material
	  derivatives a performance BOOOOOOST. Hopefully.

2009-08-02 16:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template, configure.ac, gen-assemble-fcts.sh:
	  Preliminary support for tri-linear forms stemming from advection
	  terms. Probably needs more work, but should give virtually every
	  problem with material derivatives a performance BOOOOOOST.
	  Hopefully.

2009-07-31 16:51  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/submesh.c: fill_slave/master_el_info() now
	  honour the EL_GEOM_CACHE.

2009-07-31 11:42  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/parametric.c: Offset into
	  alloc_param_quad_metadata[] jump-table was off by one, caused by
	  the recent introduction of 0d parametric stuff. Bug reported by
	  Hans Fritz.

2009-07-30 09:41  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/quad_cache.c: Reduce the number of matrix
	  allocations.

2009-07-30 09:38  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/numint.c: Further optimizations.

2009-07-30 09:29  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble.c: Cosmetics.

2009-07-30 09:27  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/numint.c: Optimizations for vector-valued
	  basis functions in realloc_quad_caches().

2009-07-29 15:32  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/assemble.c, alberta/src/Common/quad_cache.c:
	  Augment the OPERATOR_INFO structure with a QUAD_MATRIX structure
	  which specifies the quad-rule for each block of a block-operator.

2009-07-29 06:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/quad_cache.c: Try to optimize
	  compute_psi_phi_11().

2009-07-29 06:57  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Compile profiling libraries with debugging
	  information (and optimized).

2009-07-27 17:41  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util.h.in.in: __flatten__ was not
	  introduced before 4.1, I think.

2009-07-27 17:40  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/quad_cache.c: Cosmetics.

2009-07-27 08:24  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/bas_fct.c: Also check for a profiled enabled
	  basis function plugin.

2009-07-24 22:56  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h, alberta/src/Common/submesh.c:
	  Define a trace operation for DOF_REAL_VEC_D functions.

2009-07-22 21:31  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/Makefile.am: Build profiling enabled
	  libraries.

2009-07-22 21:31  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble.c,
	  alberta/src/Common/assemble_bndry.c: Fix the previous fix. Grin.

2009-07-22 06:54  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble.c,
	  alberta/src/Common/assemble_bndry.c,
	  alberta/src/Common/assemble_neigh.c, alberta/src/Common/numint.c:
	  Fix some bux related to per-element initializers.

2009-07-21 18:10  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/paraview/Common/alberta2paraview.c: Fix genratation of
	  cell data.

2009-07-21 18:10  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/numint.c: Cosmetics.

2009-07-21 18:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble.c: Forgot an initialization.

2009-07-21 08:25  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble.c,
	  alberta/src/Common/assemble_bndry.c: In the context of direct
	  sums there was some over-optimizatin w.r.t. to mixed/non-mixed
	  discretisations.

2009-07-21 07:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/submesh.c: get_master_dof_indices() and
	  get_master_bound() unluckily were broken (wrong order of element
	  type and orientation related indices).

2009-07-20 22:47  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bulk_trace_tensor_bubbles.c,
	  add_ons/libalbas/src/tensor_wall_bubbles.c: Trace-mapping was
	  broken.

2009-07-20 07:06  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bulk_trace_tensor_bubbles.c: Use the correct
	  normal ...

2009-07-20 06:51  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/Makefile.am, add_ons/libalbas/src/albas.h,
	  add_ons/libalbas/src/basfcts.c, add_ons/libalbas/src/bubble.c,
	  add_ons/libalbas/src/bulk_trace_bubble.c,
	  add_ons/libalbas/src/bulk_trace_tensor_bubbles.c,
	  add_ons/libalbas/src/tensor_wall_bubbles.c,
	  add_ons/libalbas/src/trace_bubble.c,
	  add_ons/libalbas/src/trace_tensor_bubbles.c,
	  add_ons/libalbas/src/wall_bubbles.c: Higher order bubbles, not
	  yet working.

2009-07-20 15:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: __dof_gemv_rdr() was broken.

2009-07-20 06:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: N_BAS_LAGRANGE(): cast to signed
	  integer. dof_compress(): iterate down to the slave-meshes.

2009-07-20 06:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_intern.h: N_BAS_LAGRANGE(): cast to
	  signed integer.

2009-07-16 07:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h, alberta/src/Common/submesh.c:
	  lookup-methods for trace meshes to find an existing trace-mesh.

2009-07-13 17:26  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/Makefile.am,
	  alberta_util/src/alberta_util_inlines.h.in.in,
	  albertadist/configure.ac: Really get rid for Fortran (unless
	  requested).

2009-07-13 17:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* README, configure.ac: Disable use of GPSKCA if F77-Blas is not
	  desired.

2009-07-13 17:26  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Really get rid for Fortran (unless requested).

2009-07-07 04:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/malloc-debug.c: New function zap_alloc_records()
	  to re-initialize the allocation records to the initial state.

2009-07-07 04:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/numint.c: Memory leaks.

2009-07-07 04:10  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble.c: Don't allocate QUAD_FAST caches if
	  not necessary.

2009-07-06 15:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/cg.c: Fix a memory leak.

2009-07-06 15:32  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/oem_sp_solve.c: Fix a memory leak.

2009-07-05 21:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bulk_trace_bubble.c: Fix the initialization
	  mode of the per-element initializer (el_info == NULL).

2009-07-05 11:23  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bubble.c,
	  add_ons/libalbas/src/bulk_trace_bubble.c,
	  add_ons/libalbas/src/mini-Xd.c,
	  add_ons/libalbas/src/raviart_thomas.c,
	  add_ons/libalbas/src/trace_bubble.c,
	  add_ons/libalbas/src/wall_bubbles.c,
	  add_ons/paraview/Common/alberta2paraview.c,
	  alberta/src/0d/bas_fct_0d.c, alberta/src/1d/disc-ortho-poly.c.h,
	  alberta/src/1d/disc_lagrange_0_1d.c,
	  alberta/src/1d/disc_lagrange_1_1d.c,
	  alberta/src/1d/disc_lagrange_2_1d.c,
	  alberta/src/1d/lagrange_3_1d.c, alberta/src/1d/lagrange_4_1d.c,
	  alberta/src/1d/submesh_1d.c, alberta/src/1d/traverse_r_1d.c,
	  alberta/src/2d/disc-ortho-poly.c.h,
	  alberta/src/2d/disc_lagrange_0_2d.c,
	  alberta/src/2d/disc_lagrange_1_2d.c,
	  alberta/src/2d/disc_lagrange_2_2d.c,
	  alberta/src/2d/lagrange_2_2d.c, alberta/src/2d/lagrange_3_2d.c,
	  alberta/src/2d/lagrange_4_2d.c, alberta/src/2d/submesh_2d.c,
	  alberta/src/2d/traverse_r_2d.c,
	  alberta/src/3d/disc_lagrange_0_3d.c,
	  alberta/src/3d/disc_lagrange_1_3d.c,
	  alberta/src/3d/disc_lagrange_2_3d.c,
	  alberta/src/3d/lagrange_3_3d.c, alberta/src/3d/lagrange_4_3d.c,
	  alberta/src/3d/submesh_3d.c, alberta/src/3d/traverse_r_3d.c,
	  alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/submesh.c: Change the way boundary
	  classification are transferred to the trace-meshes. To this end,
	  the EL_INFO structure now (again) contains boundary bit-masks
	  tied to the face sub-simplices of a tetrahedron, so face_bound,
	  edge_bound and vertex_bound are meant in the 3d sense. Then: if
	  the FILL_MASTER_INFO fill-flag is set during mesh-traversal,
	  those bitmasks always contain the boundary classification w.r.t.
	  the master mesh, 2d case, e.g.:
	  
	  el_info->face_bound[0] is the boundary type of the face of the
	  master element el_info->edge_bound[0..2] are the boundary types
	  of the edges of the master el_info->vertex_bound[0..2]
	  analogously
	  
	  In order to allow stuff like assembling "master-matrices" over
	  trace-meshes the get_bound() call-backs of the BAS_FCTS structure
	  has been changed s.t. it no longer looks at EL_INFO->wall_bound,
	  but instead always uses EL_INFO->{face,edge,vertex}_bound. In
	  particular, 2d basis functions with CENTER DOFs may now return
	  non-interior boundary classifications when called with an
	  EL_INFO-structure with FILL_MASTER_INFO set.

2009-07-05 11:23  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bubble.c,
	  add_ons/libalbas/src/bulk_trace_bubble.c,
	  add_ons/libalbas/src/mini-Xd.c,
	  add_ons/libalbas/src/raviart_thomas.c,
	  add_ons/libalbas/src/trace_bubble.c,
	  add_ons/libalbas/src/wall_bubbles.c,
	  add_ons/paraview/Common/alberta2paraview.c,
	  alberta/src/0d/bas_fct_0d.c, alberta/src/1d/disc-ortho-poly.c.h,
	  alberta/src/1d/disc_lagrange_0_1d.c,
	  alberta/src/1d/disc_lagrange_1_1d.c,
	  alberta/src/1d/disc_lagrange_2_1d.c,
	  alberta/src/1d/lagrange_3_1d.c, alberta/src/1d/lagrange_4_1d.c,
	  alberta/src/1d/submesh_1d.c, alberta/src/1d/traverse_r_1d.c,
	  alberta/src/2d/disc-ortho-poly.c.h,
	  alberta/src/2d/disc_lagrange_0_2d.c,
	  alberta/src/2d/disc_lagrange_1_2d.c,
	  alberta/src/2d/disc_lagrange_2_2d.c,
	  alberta/src/2d/lagrange_2_2d.c, alberta/src/2d/lagrange_3_2d.c,
	  alberta/src/2d/lagrange_4_2d.c, alberta/src/2d/submesh_2d.c,
	  alberta/src/2d/traverse_r_2d.c,
	  alberta/src/3d/disc_lagrange_0_3d.c,
	  alberta/src/3d/disc_lagrange_1_3d.c,
	  alberta/src/3d/disc_lagrange_2_3d.c,
	  alberta/src/3d/lagrange_3_3d.c, alberta/src/3d/lagrange_4_3d.c,
	  alberta/src/3d/submesh_3d.c, alberta/src/3d/traverse_r_3d.c,
	  alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/submesh.c: Change the way boundary
	  classification are transferred to the trace-meshes. To this end,
	  the EL_INFO structure now (again) contains boundary bit-masks
	  tied to the face sub-simplices of a tetrahedron, so face_bound,
	  edge_bound and vertex_bound are meant in the 3d sense. Then: if
	  the FILL_MASTER_INFO fill-flag is set during mesh-traversal,
	  those bitmasks always contain the boundary classification w.r.t.
	  the master mesh, 2d case, e.g.:
	  
	  el_info->face_bound[0] is the boundary type of the face of the
	  master element el_info->edge_bound[0..2] are the boundary types
	  of the edges of the master el_info->vertex_bound[0..2]
	  analogously
	  
	  In order to allow stuff like assembling "master-matrices" over
	  trace-meshes the get_bound() call-backs of the BAS_FCTS structure
	  has been changed s.t. it no longer looks at EL_INFO->wall_bound,
	  but instead always uses EL_INFO->{face,edge,vertex}_bound. In
	  particular, 2d basis functions with CENTER DOFs may now return
	  non-interior boundary classifications when called with an
	  EL_INFO-structure with FILL_MASTER_INFO set.

2009-07-05 11:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/macro.c: Trailing new-line in write_macro().

2009-07-03 07:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h: To assemble "master" matrices over
	  trace-meshes we need the proper boundary information. This is to
	  be implemented.

2009-07-03 07:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: print_el_bndry_vec() and
	  ..schar_vec().

2009-07-02 21:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/submesh_3d.c: The faked slave refinement patch
	  needs fill-flags to be set.

2009-07-02 21:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/refine_2d.c: Move the new-coords stuff and some
	  other things to AI_bisect_patch().

2009-07-02 11:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh.c: Don't use static variables.

2009-07-02 06:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Fix a bogus warning message.

2009-07-02 05:39  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/oem_sp_solve.c: Projection/prolongation stages
	  of the new preconditioner were somewhat broken.

2009-07-01 22:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/static_condensation/src/static-condensation.c: Cosmetics.

2009-07-01 18:51  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bubble.c,
	  add_ons/libalbas/src/bulk_trace_bubble.c,
	  add_ons/libalbas/src/trace_bubble.c,
	  add_ons/libalbas/src/wall_bubbles.c: Adjust
	  interpolation/restriction.

2009-07-01 22:29  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h, alberta/src/Common/oem_sp_solve.c:
	  Support an initial flux argument.

2009-07-01 22:29  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/traverse_r_2d.c: Missing braces.

2009-07-01 18:57  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/oem_sp_solve.c: No-precon bug-fix.

2009-07-01 18:32  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_intern.h,
	  alberta/src/Common/assemble.c,
	  alberta/src/Common/assemble_bndry.c,
	  alberta/src/Common/assemble_neigh.c: Fix a caching bug (context
	  pw_const).

2009-07-01 18:31  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h, alberta/src/Common/oem_sp_solve.c:
	  Implement a more sensible preconditioner for the multi-constraint
	  case.

2009-07-01 18:31  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/traverse_r_1d.c, alberta/src/2d/traverse_r_2d.c:
	  Fix an initialization bug w.r.t. to FILL_MASTER_NEIGH.

2009-06-30 09:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: Allow pseudo-scalar fe-spaces with
	  vector-valued basis functions.

2009-06-29 19:23  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bubble.c,
	  add_ons/libalbas/src/bulk_trace_bubble.c,
	  add_ons/libalbas/src/trace_bubble.c,
	  add_ons/libalbas/src/wall_bubbles.c,
	  add_ons/paraview/Common/alberta2paraview.c: Be more careful with
	  the allocation of QUAD_FAST structs.

2009-06-29 05:43  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bulk_trace_bubble.c,
	  add_ons/libalbas/src/trace_bubble.c,
	  add_ons/libalbas/src/wall_bubbles.c: Allow for scalar
	  fe-functions.

2009-06-29 19:26  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/write_mesh.c: fwrite_dof_matrix_pbm(): use
	  row_fe_space->used_count, not matrix->size (in case we have an
	  admin).

2009-06-29 05:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/submesh.c: Fix get_master_dof_indices().

2009-06-29 05:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Fix the print routines for
	  DOF_MATRIXes.

2009-06-27 06:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/basfcts.c,
	  add_ons/libalbas/src/bulk_trace_bubble.c: Support for
	  "bulk-trace" functions.

2009-06-27 19:10  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/bas_fct.c: bfcts_chain_init_element(): give
	  basis functions without initializer a dummy tag INIT_EL_TAG_DFLT.

2009-06-27 06:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c, alberta/src/Common/quad_cache.c,
	  alberta/src/Common/read_mesh.c, alberta/src/Common/submesh.c,
	  alberta/src/Common/write_mesh.c: Support for "bulk-trace"
	  functions.

2009-06-26 21:23  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bulk_trace_bubble.c: Experimental support
	  for bulk-trace spaces, with support on the elements stituated at
	  the boundary and a dof-admin living on the trace mesh.

2009-06-26 20:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/Makefile.am, add_ons/libalbas/src/albas.h,
	  add_ons/libalbas/src/basfcts.c, add_ons/libalbas/src/bubble.c,
	  add_ons/libalbas/src/bulk_trace.c,
	  add_ons/libalbas/src/mini-Xd.c, add_ons/libalbas/src/null.c,
	  add_ons/libalbas/src/raviart_thomas.c,
	  add_ons/libalbas/src/trace_bubble.c,
	  add_ons/libalbas/src/wall_bubbles.c, alberta/src/0d/bas_fct_0d.c,
	  alberta/src/1d/disc-ortho-poly.c.h,
	  alberta/src/1d/disc_lagrange_0_1d.c,
	  alberta/src/1d/disc_lagrange_1_1d.c,
	  alberta/src/1d/disc_lagrange_2_1d.c,
	  alberta/src/1d/lagrange_1_1d.c, alberta/src/1d/lagrange_2_1d.c,
	  alberta/src/1d/lagrange_3_1d.c, alberta/src/1d/lagrange_4_1d.c,
	  alberta/src/2d/disc-ortho-poly.c.h,
	  alberta/src/2d/disc_lagrange_0_2d.c,
	  alberta/src/2d/disc_lagrange_1_2d.c,
	  alberta/src/2d/disc_lagrange_2_2d.c,
	  alberta/src/2d/lagrange_1_2d.c, alberta/src/2d/lagrange_2_2d.c,
	  alberta/src/2d/lagrange_3_2d.c, alberta/src/2d/lagrange_4_2d.c,
	  alberta/src/3d/disc-ortho-poly.c.h,
	  alberta/src/3d/disc_lagrange_0_3d.c,
	  alberta/src/3d/disc_lagrange_1_3d.c,
	  alberta/src/3d/disc_lagrange_2_3d.c,
	  alberta/src/3d/lagrange_1_3d.c, alberta/src/3d/lagrange_2_3d.c,
	  alberta/src/3d/lagrange_3_3d.c, alberta/src/3d/lagrange_4_3d.c,
	  alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_intern.h, alberta/src/Common/memory.c,
	  alberta/src/Common/read_mesh.c, alberta/src/Common/submesh.c,
	  alberta/src/Common/write_mesh.c: Experimental support for
	  bulk-trace spaces, with support on the elements stituated at the
	  boundary and a dof-admin living on the trace mesh.

2009-06-26 08:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/static_condensation/demo/Common/mini-stokes.c:
	  ellipt_est_dow(), not _d().

2009-06-26 08:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/static_condensation/demo/Common/mini-quasi-stokes.c:
	  ellipt_est_dow(), not _d().

2009-06-26 08:12  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/Makefile.am,
	  add_ons/libalbas/src/bulk_trace.c: Attempts to define a bizarre
	  space with DOFs on a trace mesh and support on the elements
	  situated at the boundary.

2009-06-26 08:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/Common/stokes.c: Use ellipt_est_dow(),
	  not ..._d().

2009-06-26 20:53  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/Makefile.am, add_ons/libalbas/src/albas.h,
	  add_ons/libalbas/src/basfcts.c, add_ons/libalbas/src/bubble.c,
	  add_ons/libalbas/src/bulk_trace.c,
	  add_ons/libalbas/src/mini-Xd.c, add_ons/libalbas/src/null.c,
	  add_ons/libalbas/src/raviart_thomas.c,
	  add_ons/libalbas/src/trace_bubble.c,
	  add_ons/libalbas/src/wall_bubbles.c, alberta/src/0d/bas_fct_0d.c,
	  alberta/src/1d/disc-ortho-poly.c.h,
	  alberta/src/1d/disc_lagrange_0_1d.c,
	  alberta/src/1d/disc_lagrange_1_1d.c,
	  alberta/src/1d/disc_lagrange_2_1d.c,
	  alberta/src/1d/lagrange_1_1d.c, alberta/src/1d/lagrange_2_1d.c,
	  alberta/src/1d/lagrange_3_1d.c, alberta/src/1d/lagrange_4_1d.c,
	  alberta/src/2d/disc-ortho-poly.c.h,
	  alberta/src/2d/disc_lagrange_0_2d.c,
	  alberta/src/2d/disc_lagrange_1_2d.c,
	  alberta/src/2d/disc_lagrange_2_2d.c,
	  alberta/src/2d/lagrange_1_2d.c, alberta/src/2d/lagrange_2_2d.c,
	  alberta/src/2d/lagrange_3_2d.c, alberta/src/2d/lagrange_4_2d.c,
	  alberta/src/3d/disc-ortho-poly.c.h,
	  alberta/src/3d/disc_lagrange_0_3d.c,
	  alberta/src/3d/disc_lagrange_1_3d.c,
	  alberta/src/3d/disc_lagrange_2_3d.c,
	  alberta/src/3d/lagrange_1_3d.c, alberta/src/3d/lagrange_2_3d.c,
	  alberta/src/3d/lagrange_3_3d.c, alberta/src/3d/lagrange_4_3d.c,
	  alberta/src/Common/alberta.h,
	  alberta/src/Common/alberta_intern.h, alberta/src/Common/memory.c,
	  alberta/src/Common/read_mesh.c, alberta/src/Common/submesh.c,
	  alberta/src/Common/write_mesh.c: Experimental support for
	  bulk-trace spaces, with support on the elements stituated at the
	  boundary and a dof-admin living on the trace mesh.

2009-06-26 08:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/submesh.c: Typo.

2009-06-25 19:01  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/trace_bubble.c: Use the correct orientation
	  for the normal.

2009-06-25 19:01  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bulk_trace.c: Initial revision.

2009-06-25 19:05  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/traverse_r.c: Update for 0d
	  (FILL_MASTER_NEIGH).

2009-06-25 19:04  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/submesh.c: Complete fill_slave_el_info().

2009-06-25 19:04  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/read_mesh.c, alberta/src/Common/write_mesh.c:
	  Dump trace meshes to disk and read them back automagically.

2009-06-25 19:04  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/parametric.c: Lower 0-dim end for trace-mesh
	  chains.

2009-06-25 19:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/l2scp.c: Compiler warning.

2009-06-25 19:03  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/traverse_r_1d.c, alberta/src/2d/traverse_r_2d.c,
	  alberta/src/Common/alberta.h: Support filling in also the
	  bulk-neighbour with FILL_MASTER_NEIGH during trace-mesh
	  traversal.

2009-06-25 19:02  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/parametric_1d.c: Tiny fixes.

2009-06-25 19:02  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/0d/parametric_0d.c: Add the trivial lower-end for
	  trace-mesh chains.

2009-06-25 19:02  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/0d/element_0d.c: Some adjustments.

2009-06-25 10:51  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble.c: Bug-fix w.r.t. to selection of
	  quad-rules.

2009-06-24 17:23  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/spcg.c: Fix division by zero problem in case of
	  info == 0 (introduced by previous changes).

2009-06-24 18:47  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/ilu_k_precon.c: Bug-fix (precon for
	  scalar-vector mv).

2009-06-24 17:24  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble_bndry.c,
	  alberta/src/Common/assemble_neigh.c: row-trace_dof_map was not
	  initialized properly.

2009-06-23 23:10  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: Install minfo->dirichlet_bndry
	  into all block-matrix components.

2009-06-23 11:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src: svn:ignore.

2009-06-23 11:43  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.am: Always generate the assemble
	  sources.

2009-06-23 11:43  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble_bndry.c: Call only the initializers
	  for the respective wall.

2009-06-23 11:42  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble_bndry_fcts.c.in,
	  alberta/src/Common/assemble_fcts.c.in: Include the $top_srcdir
	  into the #file directive.

2009-06-23 11:42  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/wall_quad.c: Remove an over-optimization bug
	  in init_wall_quad_fast().

2009-06-23 11:41  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/numint.c: Little optimizations.

2009-06-23 11:41  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gen-assemble-fcts.sh: Provide the top_srcdir in the generated
	  assemble source-code through a #file directive.

2009-06-22 06:05  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/numint.c: Tiny cleanup.

2009-06-22 06:05  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/dof_admin.c: print_matrix_row() functions for
	  debugging purposes.

2009-06-20 14:40  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble.c, alberta/src/Common/assemble.h,
	  alberta/src/Common/assemble_bndry.c,
	  alberta/src/Common/assemble_bndry.h,
	  alberta/src/Common/assemble_bndry_fcts.c.in,
	  alberta/src/Common/assemble_fcts.c.in,
	  alberta/src/Common/assemble_fcts.h.in,
	  alberta/src/Common/assemble_neigh.c,
	  albertadist/Makefile.am.template: DG stuff was broken in the
	  presence of per element initializers.

2009-06-20 14:40  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am.template: DG stuff was broken in the presence of per
	  element initializers.

2009-06-17 07:32  Rebecca Stotz <Rebecca.Stotz@Mathematik.Uni-Freiburg.DE>

	* add_ons/static_condensation/src/static-condensation-dd.c,
	  add_ons/static_condensation/src/static-condensation.c: fix a bug

2009-06-17 01:55  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble_neigh.c: DG stuff was broken in the
	  presence of per element initializers.

2009-06-09 09:54  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/macro_3d.c: Edge boundary-types were computed
	  wrongly.

2009-06-08 04:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/static_condensation/demo/Common/mini-quasi-stokes.c:
	  Adjust to changed calling convention for robin_bound().

2009-06-08 04:56  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/trace_bubble.c: Remove some unneeded code.

2009-06-08 04:56  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/paraview/Common/alberta2paraview.c: Cosmetics.

2009-06-08 04:56  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/Common/stokes.c: Cosmetics.

2009-06-08 05:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/assemble-tools.tex, doc/est-tools.tex, doc/solve-tools.tex,
	  doc/submesh-impl.tex: Update.

2009-06-08 05:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/assemble-tools.tex, doc/est-tools.tex, doc/solve-tools.tex,
	  doc/submesh-impl.tex: Update.

2009-06-08 05:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: Slight fixes and adaptation to
	  robin_bound() calling convention.

2009-06-08 05:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/bicgstab.c, alberta_util/src/cg.c,
	  alberta_util/src/gmres.c, alberta_util/src/info.c,
	  alberta_util/src/odir.c, alberta_util/src/ores.c,
	  alberta_util/src/qmr.c, alberta_util/src/spcg.c,
	  alberta_util/src/strerror.c, alberta_util/src/symmlq.c:
	  Indentation.

2009-06-08 05:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util_intern.h: Fix missing
	  ..._strerror() protos.

2009-06-08 05:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta_util/src/alberta_util_inlines.h.in.in: bitfied_ffs() was
	  broken.

2009-06-08 22:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/parametric.c: Be less verbose with some
	  GET_PARAMETER stuff.

2009-06-08 22:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/coarsen_3d.c: coarsen was broken with new_coords,
	  a "late time follow up" of the periodic stuff dingsbums changes.

2009-06-08 05:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/wall_quad.c: Fix a buggy error message.

2009-06-08 05:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/submesh.c: get_bndry_submesh_by_segment(...,
	  bndry_mask) functions; convert the parts of the boundary matching
	  the bits set in bndry_mask into a boundary sub-mesh.

2009-06-08 05:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/parametric.c: bbox adjustment was wrong.

2009-06-08 05:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/oem_sp_solve.c: Boundary condition call-back
	  for the preconditioner.

2009-06-08 05:09  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: FE_SPACE now has a reference
	  counter, free_fe_space() will release the memory when the
	  reference count is 0, copy_fe_space() will increment that
	  reference count.

2009-06-08 05:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/l2scp.c: Robin bc with 1/h^\alpha penalty.

2009-06-08 05:07  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/estimator.c,
	  alberta/src/Common/estimator_dowb.c: Export uh_loc and uh_old_loc
	  via element_est_uh_loc() etc functions.

2009-06-08 05:07  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/error.c: Error functions for the deformation
	  tensor.

2009-06-08 05:07  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/el_vec.h: __bi_mat_el_vec() had a serious bug.

2009-06-08 05:05  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble.c,
	  alberta/src/Common/assemble_bndry.c,
	  alberta/src/Common/assemble_neigh.c: Mixing constant and
	  non-constant operator kernels on parametric meshes was broken;
	  some of the INIT_ELEMENT() stuff was broken, too.

2009-06-08 05:05  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble_fcts.c.in: Get rid of some newer
	  compiler warnings.

2009-06-08 05:05  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/assemble_bndry_fcts.c.in: Get rid of some
	  newer compiler warnings.

2009-06-08 05:01  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta_intern.h: OPERTATOR_INFO's are only
	  considered equal if their fill-flags also conincide.

2009-06-08 05:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h: Some changed proto-types, fix the
	  estimater ..._d() versions. FE_SPACE now has a reference counter.

2009-06-08 05:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/Makefile.alberta.in: Add ${prefix}/include to
	  the include-path.

2009-06-08 04:59  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/submesh_2d.c, alberta/src/3d/submesh_3d.c:
	  Inheritance of boundary types was somewhat broken.

2009-05-31 16:42  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/submesh.c: Comment.

2009-05-29 23:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/tests/read_mesh_test.c: Fix a broken preproc statement.

2009-05-28 07:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/numint.c: get_quad_fast(): Call the global
	  initializers for objects with per-element setup.

2009-05-27 09:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/Makefile.am: Fix triangle2alberta stuff.

2009-05-20 10:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/triangle2alberta/Makefile.am,
	  add_ons/triangle2alberta/triangle2alberta.c: Fixes.

2009-05-20 12:21  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* alberta/src/Common/trav_xy.c: - Fixed find_el_at_pt_recursive to
	  work properly on refined parametric meshes.

2009-05-20 10:43  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/parametric_1d.c, alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/parametric_3d.c: Be more carefule with
	  parametric->use_reference_mesh.

2009-05-20 10:36  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/parametric_2d.c: Be more carefule with
	  parametric->use_reference_mesh.

2009-05-20 10:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/gltools.c: Fix a potential segmentation bug.

2009-05-19 08:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/triangle2alberta/triangle2alberta.c: triangle2alberta
	  update. Not working yet.

2009-05-19 08:25  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/triangle2alberta/Makefile.am: Initial revision

2009-05-18 18:40  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/Makefile.am, add_ons/triangle2alberta/triangle2alberta.c,
	  albertadist/configure.ac: main() function for triangle2alberta

2009-05-18 11:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/parametric_1d.c, alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/parametric_3d.c, alberta/src/Common/alberta.h: New
	  component "vertex_coords()" in PARAMTRIC: fill the supplied
	  EL_INFO argument with the coordiantes of the vertices of the
	  curved simplex.

2009-05-18 11:07  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/trav_xy.c: Indentation.

2009-05-18 18:40  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: main() function for triangle2alberta

2009-05-13 09:12  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* add_ons/bamg2alberta/bamg2alberta.c: typo

2009-05-11 13:35  Notger Noll <Notger.Noll@Pluto.Uni-Freiburg.DE>

	* alberta_util/src/Makefile.am,
	  alberta_util/src/alberta_util.h.in.in,
	  alberta_util/src/bicgstab.c, alberta_util/src/cg.c,
	  alberta_util/src/gmres.c, alberta_util/src/odir.c,
	  alberta_util/src/ores.c, alberta_util/src/qmr.c,
	  alberta_util/src/strerror.c, alberta_util/src/symmlq.c: added
	  error-output-routines

2009-05-11 12:56  Notger Noll <Notger.Noll@Pluto.Uni-Freiburg.DE>

	* alberta_util/src/bicgstab.c, alberta_util/src/cg.c,
	  alberta_util/src/gmres.c, alberta_util/src/odir.c,
	  alberta_util/src/ores.c, alberta_util/src/qmr.c,
	  alberta_util/src/strerror.c, alberta_util/src/symmlq.c: added
	  error-output-routines

2009-05-11 13:38  Notger Noll <Notger.Noll@Pluto.Uni-Freiburg.DE>

	* alberta/src/Common/alberta.h: moved declaration of OEM_SOLVER to
	  file alberta_util.h.in.in

2009-05-05 08:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/wall_bubbles.c: coarse/refine_inter() was
	  broken.

2009-05-05 08:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/wall_bubbles.c: refine_inter() was broken.

2009-05-05 08:14  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/quasi-stokes.c: Initialization of the
	  preconditioner for the pressure preconditioner was broken.

2009-05-05 08:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/2d/INIT/quasi-stokes.dat: Add the "dirichlet boundary"
	  parameter.

2009-05-05 10:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* authors.xml: Author's file for svn2log.

2009-05-02 21:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/assemble-tools.tex: Clarify that get_dof_indices(NULL,
	  fe_space, ...) will overwrite the storage area on the next call
	  to this function.

2009-05-02 21:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/assemble-tools.tex: Clarify that get_dof_indices(NULL,
	  fe_space, ...) will overwrite the storage area on the next call
	  to this function.

2009-05-02 21:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/memory.c: New function print_el_dof_vec() for
	  debugging purposes.

2009-04-30 23:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/libalbas/src/bubble.c, add_ons/libalbas/src/null.c,
	  add_ons/libalbas/src/raviart_thomas.c,
	  add_ons/libalbas/src/trace_bubble.c,
	  add_ons/libalbas/src/wall_bubbles.c: Fix some silly bugs (return
	  of address of local variable).

2009-04-30 23:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/el_vec.h: Fix the element matrix support
	  functions, were broken in some places.

2009-04-29 12:04  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/macro.c: mesh2macro_data(): check the return
	  value of parametric->init_element(), if it is "false", then
	  el_info->coord already contains the vertex co-ordinates.

2009-04-26 13:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Also define _DARWIN_C_SOUCE if compiling on Darwin.

2009-04-23 10:27  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h, doc/param-impl.tex: Introduce
	  symbolic constants COPY_FROM/TO_MESH for the third argument to
	  copy_lagrange_coords.

2009-04-23 10:27  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h, doc/param-impl.tex: Introduce
	  symbolic constants COPY_FROM/TO_MESH for the third argument to
	  copy_lagrange_coords.

2009-04-23 23:34  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* albertadist/ChangeLog, demo/ChangeLog: Update.

2009-04-23 10:27  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/alberta.h, doc/param-impl.tex: Introduce
	  symbolic constants COPY_FROM/TO_MESH for the third argument to
	  copy_lagrange_coords.

2009-04-23 23:34  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* ChangeLog: Update.

2009-04-23 08:36  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Also check for C++.

2009-04-21 09:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement, alberta/src/2d/disc-ortho-poly.c.h: Merge
	  
	  svn merge -r r3291:HEAD
	  https://scwww.math.uni-augsburg.de/repos/alberta/branches/alberta-3.0-release
	  
	  onto the trunk.

2009-04-21 09:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/Common, add_ons/libalbas/src/mini-Xd.c,
	  add_ons/static_condensation/demo/Common/mini-stokes.c,
	  alberta/src/1d/parametric_1d.c, alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/parametric_3d.c, alberta/src/Common/parametric.c,
	  doc/addon-tools.tex, doc/defs.tex, doc/param-impl.tex,
	  doc/solve-tools.tex: Merge
	  
	  svn merge -r r3291:HEAD
	  https://scwww.math.uni-augsburg.de/repos/alberta/branches/alberta-3.0-release
	  
	  onto the trunk.

2009-04-21 09:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/Common, add_ons/libalbas/src/mini-Xd.c,
	  add_ons/static_condensation/demo/Common/mini-stokes.c,
	  alberta/src/1d/parametric_1d.c, alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/parametric_3d.c, alberta/src/Common/parametric.c,
	  doc/addon-tools.tex, doc/defs.tex, doc/param-impl.tex,
	  doc/solve-tools.tex: Merge
	  
	  svn merge -r r3291:HEAD
	  https://scwww.math.uni-augsburg.de/repos/alberta/branches/alberta-3.0-release
	  
	  onto the trunk.

2009-04-21 09:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/Common, add_ons/libalbas/src/mini-Xd.c,
	  add_ons/static_condensation/demo/Common/mini-stokes.c,
	  alberta/src/1d/parametric_1d.c, alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/parametric_3d.c, alberta/src/Common/parametric.c,
	  doc/addon-tools.tex, doc/defs.tex, doc/param-impl.tex,
	  doc/solve-tools.tex: Merge
	  
	  svn merge -r r3291:HEAD
	  https://scwww.math.uni-augsburg.de/repos/alberta/branches/alberta-3.0-release
	  
	  onto the trunk.

2009-04-21 09:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/sub_refinement, alberta/src/2d/disc-ortho-poly.c.h: Merge
	  
	  svn merge -r r3291:HEAD
	  https://scwww.math.uni-augsburg.de/repos/alberta/branches/alberta-3.0-release
	  
	  onto the trunk.

2009-04-21 09:48  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/Common, add_ons/libalbas/src/mini-Xd.c,
	  add_ons/static_condensation/demo/Common/mini-stokes.c,
	  alberta/src/1d/parametric_1d.c, alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/parametric_3d.c, alberta/src/Common/parametric.c,
	  doc/addon-tools.tex, doc/defs.tex, doc/param-impl.tex,
	  doc/solve-tools.tex: Merge
	  
	  svn merge -r r3291:HEAD
	  https://scwww.math.uni-augsburg.de/repos/alberta/branches/alberta-3.0-release
	  
	  onto the trunk.

2009-04-17 12:55  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* HOWTO-port-ellipt.txt: kk -> cc

2009-04-12 19:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/static_condensation/demo/Common/mini-stokes.c: Don't use
	  C++/C99 stuff if not necessary.

2009-04-09 11:54  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* alberta/src/Common/trav_xy.c: - edited comment, removed warning

2009-04-08 13:24  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* alberta/src/Common/parametric.c: - Further reduced message
	  output.

2009-04-08 10:36  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* alberta/src/Common/parametric.c: - Changed parameter
	  initialization of tolerance for the check "lambda[k] < 0" to
	  reduce spam when calling param_world_to_coord repeatedly.

2009-04-08 08:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/numint.c: Replace the Dunavant P11 27-point
	  quadrature rule by a rule with one more point, but which uses
	  only interior or boundary points.
	  
	  Inject a new quadrature rule for P13; thus the P17 "killer" is
	  now being used for P14 and up.

2009-04-07 15:37  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* alberta/src/Common/parametric.c: - Added possibility to specify
	  the tolerance for the check "lambda[k] < 0" via GET_PARAMETER.
	  Keyword:
	  parametric->lagrange->param_world_to_coord->lambda->tolerance
	  Default value: -75*REAL_EPSILON

2009-04-06 00:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc: Ignore some stuff.

2009-04-06 00:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/Makefile, doc/alberta-man.tex, doc/assemble-tools.tex,
	  doc/defs.tex, doc/dof-impl.tex, doc/eval-tools.tex: Try to define
	  theorem-like environments for the docuementatoin of data-types
	  etc.

2009-04-06 00:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc: Ignore some stuff.

2009-04-06 00:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/Makefile, doc/alberta-man.tex, doc/assemble-tools.tex,
	  doc/defs.tex, doc/dof-impl.tex, doc/eval-tools.tex: Try to define
	  theorem-like environments for the docuementatoin of data-types
	  etc.

2009-04-06 15:20  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* alberta/src/Common/parametric.c: - reduced infolevel for
	  GET_PARAMETER - replaced some e-15 with REAL_EPSILONs - added
	  security check: in case the mesh is already parametric,
	  use_lagrange_parametric returns without changing the mesh
	  (calling use_lagrange_parametric twice per mesh will corrupt the
	  mesh)

2009-04-06 09:15  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* alberta/src/Common/trav_xy.c: - fixed possible evaluation of
	  lambda[k] when k is < 0

2009-04-06 08:31  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/element_2d.c: Replace some strange '< -1e-15' by a
	  more sensible '< -10 * REAL_EPSILON'.

2009-04-02 15:14  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* add_ons/bamg2alberta/bamg2alberta.c: - we now print with _FULL_
	  precision...

2009-04-01 15:30  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* alberta/src/Common/trav_xy.c: - find_el_at_pt now supports curved
	  boundaries. * you may have to adjust the tolerance for newton's
	  method (neccessary for param_world_to_coord) * not yet tested for
	  _non-convex_ macro elements

2009-04-01 15:19  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* alberta/src/Common/parametric.c: - reduced spamming of warnings -
	  lowered default tolerance for newton's method in
	  param_world_to_coord

2009-04-01 10:08  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* alberta/src/Common/alberta.h, alberta/src/Common/parametric.c:
	  changes for better readability:
	  
	  - made clear that "REAL_B *lambda" is actually "REAL_B lambda[]",
	  same with "int *k" which is now "int k[]" (alberta.h,
	  parametric.c) - changed GET_PARAMETER keywordds "pwtc->tolerance"
	  and "pwtc->max_iter" into
	  "parametric->lagrange->param_world_to_ccord->newton->tolerance"
	  "parametric->lagrange->param_world_to_ccord->newton->max_iter"
	  (parametric.c) - several replacements of DIM_OF_WORLD,
	  DIM_OF_WORLD+1, to make clear what quantities are meat
	  (parametric.c)

2009-03-31 17:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/mesh-impl.tex, doc/param-impl.tex, doc/periodic-impl.tex:
	  Cosmetics.

2009-03-31 16:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/param-impl.tex: Broken crossref.

2009-03-31 16:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/mesh-impl.tex, doc/param-impl.tex: Correct the documentation
	  for parametric meshes.

2009-03-31 17:13  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/mesh-impl.tex, doc/param-impl.tex, doc/periodic-impl.tex:
	  Cosmetics.

2009-03-31 16:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/param-impl.tex: Broken crossref.

2009-03-31 16:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/mesh-impl.tex, doc/param-impl.tex: Correct the documentation
	  for parametric meshes.

2009-03-31 16:57  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/3d/parametric_3d.c: Typos.

2009-03-31 16:49  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/parametric_2d.c: Don't access n_proj, it may be
	  NULL.

2009-03-31 16:44  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/parametric_2d.c: Typos.

2009-03-31 16:27  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/parametric_1d.c, alberta/src/2d/parametric_2d.c,
	  alberta/src/3d/parametric_3d.c: Fix a bug related to only
	  partially parametric meshes.

2009-03-31 14:30  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* alberta/src/2d/parametric_2d.c: - fixed bug related to partially
	  parametric meshes

2009-03-31 12:01  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/parametric_2d.c: Fix a slight typo in
	  parametric_2d.c

2009-03-31 09:22  Christian Haarhaus <Christian.Haarhaus@Mathematik.Uni-Freiburg.DE>

	* alberta/src/Common/parametric.c: - removed "TODO" marker

2009-03-31 16:58  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump version to rc3, after having fixed some bugs
	  in the code for parametric meshes.

2009-03-30 15:02  Notger Noll <Notger.Noll@Pluto.Uni-Freiburg.DE>

	* add_ons/sub_refinement/sub-refinement.c: added functions
	  fill_sub_el_info_3d and implemented the FILL_COORDS-routine bit
	  it has to be tested!!!

2009-03-30 14:59  Notger Noll <Notger.Noll@Pluto.Uni-Freiburg.DE>

	* add_ons/block_solve/src/oem_block_solve.c,
	  add_ons/block_solve/src/oem_block_solve.h: added function
	  get_size_of_dof_matrix

2009-03-30 11:10  Notger Noll <Notger.Noll@Pluto.Uni-Freiburg.DE>

	* add_ons/static_condensation/demo/Common/mini-quasi-stokes.c:
	  matched arguments of the functions: get_block_dof_vec and
	  get_block_dof_matrix

2009-03-30 17:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/macro_2d.c: The cycle check was borken.

2009-03-30 17:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/Common/macro.c: Cosmetics.

2009-03-30 15:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/traverse_r_1d.c: master.orientation and .el_type
	  must be initialized, otherwise code in other places will break.

2009-03-30 15:35  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/2d/traverse_r_2d.c: orientation should be 1, not 0.

2009-03-30 14:04  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* alberta/src/1d/traverse_r_1d.c: Should be "orientatin = 1", not 0
	  ...

2009-03-30 17:33  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Bump to "release-candidate" 2.

2009-03-27 16:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/block_solve/demo/Common/stokes.c,
	  add_ons/block_solve/src/oem_block_solve.c,
	  add_ons/block_solve/src/oem_block_solve.h: Cleanup.

2009-03-27 09:41  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/static_condensation/demo/2d/Makefile.am,
	  add_ons/static_condensation/demo/3d/Makefile.am: Remove reference
	  to no longer existing libraries.

2009-03-27 17:27  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/eval-tools.tex: Place a note about the calling convention of
	  application provided functions.

2009-03-27 17:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/addon-tools.tex: Fix the index entries.

2009-03-27 17:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/Makefile: Add addon-tools.tex

2009-03-27 16:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/addon-tools.tex: Docuemnt the block-solver stuff.

2009-03-27 16:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/bas-impl.tex, doc/dof-impl.tex, doc/mesh-impl.tex,
	  doc/solve-tools.tex: Mention the use of strdup() for the "name"
	  arguments.

2009-03-27 09:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/files.tex: Slight fixes (\code{} within verbatim).

2009-03-27 09:13  Rebecca Stotz <Rebecca.Stotz@Mathematik.Uni-Freiburg.DE>

	* doc/addon-tools.tex: Cosmetics.

2009-03-27 09:08  Rebecca Stotz <Rebecca.Stotz@Mathematik.Uni-Freiburg.DE>

	* doc/addon-tools.tex: Added description of funktions
	  'condense_mini_spp()', 'condense_mini_spp_dd()',
	  'expand_mini_spp()' and 'expand_mini_spp_dd()' in subsubsection
	  'add_ons/static_condensation'.

2009-03-27 17:27  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/eval-tools.tex: Place a note about the calling convention of
	  application provided functions.

2009-03-27 17:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/addon-tools.tex: Fix the index entries.

2009-03-27 17:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/Makefile: Add addon-tools.tex

2009-03-27 16:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/addon-tools.tex: Docuemnt the block-solver stuff.

2009-03-27 16:50  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/bas-impl.tex, doc/dof-impl.tex, doc/mesh-impl.tex,
	  doc/solve-tools.tex: Mention the use of strdup() for the "name"
	  arguments.

2009-03-27 09:52  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/files.tex: Slight fixes (\code{} within verbatim).

2009-03-27 09:13  Rebecca Stotz <Rebecca.Stotz@Mathematik.Uni-Freiburg.DE>

	* doc/addon-tools.tex: Cosmetics.

2009-03-27 09:08  Rebecca Stotz <Rebecca.Stotz@Mathematik.Uni-Freiburg.DE>

	* doc/addon-tools.tex: Added description of funktions
	  'condense_mini_spp()', 'condense_mini_spp_dd()',
	  'expand_mini_spp()' and 'expand_mini_spp_dd()' in subsubsection
	  'add_ons/static_condensation'.

2009-03-27 18:30  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Reenable graphics.

2009-03-27 18:28  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/ellipt-isoparam.c: Typos.

2009-03-27 17:27  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am: Exclude the documentation from the distribution.

2009-03-26 13:18  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* add_ons/static_condensation/src/Makefile.am: Slight fixes for the
	  install target.

2009-03-26 13:14  Rebecca Stotz <Rebecca.Stotz@Mathematik.Uni-Freiburg.DE>

	* add_ons/static_condensation/demo/Common/mini-quasi-stokes.c:
	  Replaced '#include <static-condensation-dd.h>' by '#include
	  <static-condensation.h>' because of merged libary and header file
	  for the blocked and non-blocked versions.

2009-03-26 12:53  Rebecca Stotz <Rebecca.Stotz@Mathematik.Uni-Freiburg.DE>

	* add_ons/static_condensation/src/Makefile.am,
	  add_ons/static_condensation/src/static-condensation-dd.c,
	  add_ons/static_condensation/src/static-condensation-dd.h,
	  add_ons/static_condensation/src/static-condensation.h: Use only a
	  single library and header file for the blocked and non-blocked
	  versions.

2009-03-26 18:29  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/heat.c, doc/heat.tex: Cometics (comment)

2009-03-26 18:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/addon-tools.tex, doc/preface-man.tex: Typos.

2009-03-26 18:04  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* albertadist/COPYING, doc/param-impl.tex: Again, the GNU licence.

2009-03-26 16:01  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/addon-tools.tex: Documentation for libalbas.

2009-03-26 16:01  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/bas-impl.tex: Add a label at one point.

2009-03-26 13:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc: Ignore some more files.

2009-03-26 13:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/addon-tools.tex: Documentation for the add_ons/

2009-03-26 13:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* albertadist/AUTHORS, albertadist/HOWTO-port-ellipt.txt,
	  albertadist/README-ALBERTA-1.2, albertadist/configure.ac,
	  doc/alberta-man.tex, doc/graph-tools.tex, doc/preface-man.tex,
	  doc/tools.tex: Labouring towards a release.

2009-03-26 10:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/Makefile: Fix the vclean rule.

2009-03-26 10:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/assemble-tools.tex: Cosmetics.

2009-03-26 10:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/solve-tools.tex: Fix some broken hyper-links.

2009-03-26 10:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/submesh-concept.tex: Also call it trace-mesh.

2009-03-26 10:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/bas-impl.tex: Forgot to document the trace-space feature ...

2009-03-26 10:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/bas-impl.tex: Forgot to document the trace-space feature ...

2009-03-26 10:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/preface-man.tex: Write a comment on the missing book-part,
	  concerning back references.

2009-03-26 09:25  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/preface-man.tex: Cosmetics.

2009-03-26 04:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/preface-man.tex: Cosmetics.

2009-03-26 04:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/preface-man.tex: Should be fairly complete now.

2009-03-26 03:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/solve-tools.tex: Cosmetics.

2009-03-26 03:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/examples.tex: Cosmetics.

2009-03-26 03:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/alberta-man.tex, doc/preface-man.tex: Write a preface for the
	  reference manual.

2009-03-26 03:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/alberta.bib: Include the book.

2009-03-26 01:01  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/solve-tools.tex: Document the preconditioners.

2009-03-26 01:01  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/graph-tools.tex: Quote the online-help from the grape and
	  paraview interfaces.

2009-03-26 01:00  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/function-template.tex: Typo.

2009-03-26 18:29  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* demo/src/Common/heat.c, doc/heat.tex: Cometics (comment)

2009-03-26 18:17  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/addon-tools.tex, doc/preface-man.tex: Typos.

2009-03-26 18:04  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* albertadist/COPYING, doc/param-impl.tex: Again, the GNU licence.

2009-03-26 16:01  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/addon-tools.tex: Documentation for libalbas.

2009-03-26 16:01  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/bas-impl.tex: Add a label at one point.

2009-03-26 13:21  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc: Ignore some more files.

2009-03-26 13:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/addon-tools.tex: Documentation for the add_ons/

2009-03-26 13:11  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* albertadist/AUTHORS, albertadist/HOWTO-port-ellipt.txt,
	  albertadist/README-ALBERTA-1.2, albertadist/configure.ac,
	  doc/alberta-man.tex, doc/graph-tools.tex, doc/preface-man.tex,
	  doc/tools.tex: Labouring towards a release.

2009-03-26 10:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/Makefile: Fix the vclean rule.

2009-03-26 10:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/assemble-tools.tex: Cosmetics.

2009-03-26 10:20  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/solve-tools.tex: Fix some broken hyper-links.

2009-03-26 10:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/submesh-concept.tex: Also call it trace-mesh.

2009-03-26 10:19  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/bas-impl.tex: Forgot to document the trace-space feature ...

2009-03-26 10:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/bas-impl.tex: Forgot to document the trace-space feature ...

2009-03-26 10:15  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/preface-man.tex: Write a comment on the missing book-part,
	  concerning back references.

2009-03-26 09:25  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/preface-man.tex: Cosmetics.

2009-03-26 04:16  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/preface-man.tex: Cosmetics.

2009-03-26 04:08  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/preface-man.tex: Should be fairly complete now.

2009-03-26 03:46  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/solve-tools.tex: Cosmetics.

2009-03-26 03:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/examples.tex: Cosmetics.

2009-03-26 03:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/alberta-man.tex, doc/preface-man.tex: Write a preface for the
	  reference manual.

2009-03-26 03:45  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/alberta.bib: Include the book.

2009-03-26 01:01  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/solve-tools.tex: Document the preconditioners.

2009-03-26 01:01  Claus-Justus Heine <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* doc/graph-tools.tex: Quote the online-help from the grape and
	  paraview interfaces.

